<?php

namespace App\Http\Controllers;

use App\Models\ContactMessage;
use App\Models\User;
use Auth;
use Carbon\Carbon;
use App\Providers\RouteServiceProvider;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use Hash;
use Illuminate\Support\Facades\Validator;


class AdminController extends Controller
{
    public function adminLogin(Request $request)
    {
        if ($request->isMethod('post')) {
            if (Auth::guard('admin')->attempt(['email' => $request->email, 'password' => $request->password, 'type' => 'admin'])) {
                if (Auth::guard('admin')->check()) {
                    return redirect()->route('admin.dashboard');
                }
            } else {
                return redirect()->back()->with('error', 'Invalid Email or Password !')->withInput()->withErrors("Invalid Email or Password !");
            }
        } else {

            if (Auth::guard('admin')->check()) {
                return redirect()->route('admin.dashboard');

            } else {
                return view('admin.login');
            }
        }
    }

    public function logout(Request $request)
    {
        Auth::guard('admin')->logout();
        return redirect()->route("admin.login");
    }

    public function dashboard()
    {
        $contact_messages = ContactMessage::all();
        return view("admin.index",compact('contact_messages'));
    }

}
