<?php

namespace App\Http\Controllers;

use App\Models\Banners;
use App\Models\PlatformFee;
use App\Models\Setting;
use Hash;
use Illuminate\Http\Request;
use Validator;
use Illuminate\Support\Facades\App;

class SettingController extends Controller
{
    public function setting()
    {
        $system = Setting::findOrFail(1);
        return view('admin.setting', compact('system'));
    }

    public function updatesetting(Request $request)
    {
        $getData = Setting::first();
        $getData->name = $request->name;
        $getData->phone = $request->phone;
        $getData->email = $request->email;
        $getData->location = $request->location;
        $getData->facebook = $request->facebook;
        $getData->twitter = $request->twitter;
        $getData->instagram = $request->instagram;
        $getData->linkedin = $request->linkedin;
        $getData->whatsapp = $request->whatsapp;
        $getData->footer_description = $request->footer_description;
        $getData->tiny_api_key = $request->tiny_api_key;
        $getData->stripe_public = $request->stripe_public;
        $getData->stripe_secret = $request->stripe_secret;
        if ($request->hasFile('logo')) {
            $validator = Validator::make($request->all(), [
                'logo' => 'required|image|mimes:jpg,png,jpeg,gif,svg'
            ]);

            if ($validator->fails()) {
                return back()->with('error', 'Invalid Logo');
            }

            if (\File::exists(public_path('admin/assets/uploads/' . $getData->logo))) {

                \File::delete(public_path('admin/assets/uploads/' . $getData->logo));
            }

            $image = $request->file('logo');
            $image_new = time() . $image->getClientOriginalName();
            $image->move('admin/assets/uploads/', $image_new);
            $getData->logo = $image_new;
        }
        if ($request->hasFile('footerlogo')) {
            $validator = Validator::make($request->all(), [
                'footerlogo' => 'required|image|mimes:jpg,png,jpeg,gif,svg'
            ]);

            if ($validator->fails()) {
                return back()->with('error', 'Invalid footer logo');
            }

            if (\File::exists(public_path('admin/assets/uploads/' . $getData->footerlogo))) {

                \File::delete(public_path('admin/assets/uploads/' . $getData->footerlogo));
            }

            $image = $request->file('footerlogo');
            $image_new = time() . $image->getClientOriginalName();
            $image->move('admin/assets/uploads/', $image_new);
            $getData->footerlogo = $image_new;
        }
        if ($request->hasFile('favicon')) {
            $validator = Validator::make($request->all(), [
                'favicon' => 'required|image|mimes:jpg,png,jpeg,gif,svg'
            ]);

            if ($validator->fails()) {
                return back()->with('error', 'Invalid favicon');
            }

            if (\File::exists(public_path('admin/assets/uploads/' . $getData->favicon))) {

                \File::delete(public_path('admin/assets/uploads/' . $getData->favicon));
            }

            $image = $request->file('favicon');
            $image_new = time() . $image->getClientOriginalName();
            $image->move('admin/assets/uploads/', $image_new);
            $getData->favicon = $image_new;
        }
        $getData->save();
        return back()->with('success', __('language.successfully_updated'));
    }

    public function setlocale($lan)
    {
        App::setLocale($lan);
        return redirect()->back()->with('success', __('language.successfully_updated'));
    }

}
