<?php

namespace App\Http\Controllers;

use App\Models\OrderImages;
use App\Models\Orders;
use App\Models\Setting;
use App\Models\Subscription;
use App\Models\SubscriptionDetail;
use App\Models\WebsiteSetting;
use Illuminate\Http\Request;
use Illuminate\Support\Str;
use Validator;

class SubscriptionController extends Controller
{
    public function index()
    {
        $subscriptions = Subscription::orderBy('id', 'desc')->get();
        $websitesetting = Setting::first();
        return view('admin.subscriptions.subscriptionslist', compact('subscriptions', 'websitesetting'));
    }

    public function addsubscription()
    {
        return view('admin.subscriptions.addsubscriptions');
    }

    public function savesubscription(Request $request)
    {
        $data['heading'] = $request->heading;
        $data['description'] = $request->description;
        $data['price'] = $request->price;
        $data['days'] = $request->days;
        $data['slug'] = Str::slug($request->heading);
        $CheckSlug = Subscription::where('slug', Str::slug($request->heading))->count();
        if ($CheckSlug > 0) {
            return back()->with('error', 'This heading is already exist .');
        }
        $save = Subscription::create($data);
        if (isset($request->detail) && !empty($request->detail)) {
            foreach ($request->detail as $as => $de) {
                $data1['subscriptionid'] = $save->id;
                $data1['detail'] = $de;
                SubscriptionDetail::create($data1);
            }
        }
        return redirect()->route('admin.subscriptions')->with('success', __('language.successfully_added'));
    }

    public function deletesubscription($id)
    {
        Subscription::findOrFail($id)->delete();
        SubscriptionDetail::where('subscriptionid', $id)->delete();
        return back()->with('success', __('language.successfully_deleted'));
    }

    public function editsubscription($id)
    {
        $data = Subscription::findOrFail($id);
        return view('admin.subscriptions.editsubscription', compact('data'));
    }

    public function updatesubscription(Request $request)
    {
//        dd($request->all());

        $getData = Subscription::findOrFail($request->id);

        $getData['heading'] = $request->heading;
        $getData['description'] = $request->description;
        $getData['price'] = $request->price;
        $getData['days'] = $request->days;
        $CheckSlug = Subscription::where('slug', Str::slug($request->heading))->where('id', '!=', $request->id)->count();
        if ($CheckSlug > 0) {
            return back()->with('error', 'This heading is already exist .');
        }
        $getData->save();
        if (isset($request->detail) && !empty($request->detail)) {
            SubscriptionDetail::where('subscriptionid', $request->id)->delete();
            foreach ($request->detail as $as => $de) {
                $data1['subscriptionid'] = $request->id;
                $data1['detail'] = $de;
                SubscriptionDetail::create($data1);
            }
        }
        return redirect()->route('admin.subscriptions')->with('success', 'Data Successfully Updated !');
    }


}
