<?php

namespace App\Models;

// use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    /** @use HasFactory<\Database\Factories\UserFactory> */
    use HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',
        'fname',
        'lname',
        'email',
        'password',
        'email_verified_at',
        'email_verification',
        'phone',
        'address',
        'country',
        'city',
        'postalcode',
        'about_me',
        'image',
        'type',
        'status',
        'accommodation',
        'what_else',
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * Get the attributes that should be cast.
     *
     * @return array<string, string>
     */
    protected function casts(): array
    {
        return [
            'email_verified_at' => 'datetime',
            'password' => 'hashed',
        ];
    }

    public function userimages()
    {
        return $this->hasMany('App\Models\UserImages', 'userid', 'id');
    }

    public function userinterests()
    {
        return $this->hasMany('App\Models\UserInterests', 'userid', 'id');
    }

    public function userhobbies()
    {
        return $this->hasMany('App\Models\UserHobbies', 'userid', 'id');
    }

    public function userlifestyle()
    {
        return $this->hasMany('App\Models\UserLifestyle', 'userid', 'id');
    }
    public function tours()
    {
        return $this->hasMany('App\Models\Tours', 'userid', 'id');
    }
}
