@extends('admin.layout.master')

@section('title')
    {{ __('language.blogs') }} {{ __('language.list') }}
@endsection

@php
    use Illuminate\Support\Str;
@endphp


@section('content')

    <div class="nxl-content without-header nxl-full-content">
        <!-- [ Main Content ] start -->
        <div class="main-content d-flex">
            <!-- [ Main Area  ] start -->
            <div class="content-area">

                <form method="POST" class="MyForm" action="{{ route('admin.savesubscription') }}"
                      enctype="multipart/form-data">
                    @csrf

                    <div class="content-area-header bg-white sticky-top">
                        <div class="page-header-left pt-3">
                            <ul class="breadcrumb">
                                <li class="breadcrumb-item"><a
                                            href="{{ route('admin.dashboard') }}">{{ __('language.home') }}</a></li>
                                <li class="breadcrumb-item">{{ __('language.blogs') }} {{ __('language.list') }}</li>
                            </ul>
                        </div>
                    </div>
                    <div class="content-area-body">
                        <div class="card mb-0">
                            <div class="card-body">

                                <div class="row">
                                    @forelse($blogs as $blog)

                                        <div class="col-12 col-md-6 col-xl-3 mb-4 cardsearch">
                                            <div class="card shadow h-100">
                                                <img src="{{ URL::asset('admin/assets/uploads/'.$blog->image )}}"
                                                     class="card-img-top"
                                                     alt="..." style="width:100%;height:220px">
                                                <div class="card-body">
                                                    <div class="row">
                                                        <div class="col-md-8"><p
                                                                    class="card-title">{{ $blog->category_data->name }}</p>
                                                        </div>
                                                        <div class="col-md-4">
                                                            @if($blog->status=="active")
                                                                <span class="badge bg-success">Active</span>
                                                            @else
                                                                <span class="badge bg-danger">Inactive</span>
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <h5 class="card-text mb-3 small">{{ $blog->heading }}</h5>
                                                    <div class="row">
                                                        <div class="col-md-3"></div>
                                                        <div class="col-md-6">
                                                            <a href="{{ route('admin.editblog', [encrypt($blog->id)]) }}"
                                                               class="btn btn-info btn-icon">
                                                                <i class="feather feather-edit-2 me-3"></i>
                                                            </a>
                                                            <a onclick="return(confirm('{{ __("language.are_you_sure") }}'))"
                                                               href="{{ route('admin.deleteblog', [$blog->id]) }}"
                                                               class="btn btn-danger btn-icon mt-1">
                                                                <i class="feather feather-trash-2 me-3"></i>
                                                            </a>
                                                        </div>
                                                        <div class="col-md-3"></div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                    @empty
                                    @endforelse
                                </div>

                            </div>
                        </div>
                    </div>

                </form>
            </div>
            <!-- [ Content Area ] end -->
        </div>
        <!-- [ Main Content ] end -->
    </div>

@endsection