@extends('admin.layout.master')

@section('title')
    {{ __('language.contact_us') }}
@endsection

@section('content')

    <div class="nxl-content without-header nxl-full-content">
        <!-- [ Main Content ] start -->
        <div class="main-content d-flex">
            <!-- [ Main Area  ] start -->
            <div class="content-area">

                <div class="content-area-header bg-white sticky-top">
                    <div class="page-header-left pt-3">
                        <ul class="breadcrumb">
                            <li class="breadcrumb-item"><a
                                        href="{{ route('admin.dashboard') }}">{{ __('language.home') }}</a></li>
                            <li class="breadcrumb-item">{{ __('language.manage') }} {{ __('language.contact_us') }}</li>
                        </ul>
                    </div>
                    <div class="page-header-right ms-auto">
                        <div class="d-flex align-items-center gap-3 page-header-right-items-wrapper">
                            <button class="btn btn-primary MyButton" type="button" data-bs-toggle="modal"
                                    data-bs-target="#addcategories">
                                <span>{{ __('language.contact_us') }}</span>
                            </button>
                        </div>
                    </div>
                </div>
                <div class="content-area-body">
                    <div class="row">

                        <div class="col-lg-12">
                            <div class="card stretch stretch-full">
                                <div class="card-header">
                                    <h5 class="card-title">{{ __('language.contact_us') }}</h5>
                                    <div class="card-header-action">
                                        <div class="card-header-btn">
                                            <div data-bs-toggle="tooltip" title="Refresh">
                                                <a href="{{ route('admin.contact_messages') }}"
                                                   class="avatar-text avatar-xs bg-warning"> </a>
                                            </div>
                                            <div data-bs-toggle="tooltip" title="Maximize/Minimize">
                                                <a href="javascript:void(0);"
                                                   class="avatar-text avatar-xs bg-success"
                                                   data-bs-toggle="expand"> </a>
                                            </div>
                                        </div>
                                        <div class="dropdown">
                                            <a href="javascript:void(0);" class="avatar-text avatar-sm"
                                               data-bs-toggle="dropdown" data-bs-offset="25, 25">
                                                <div data-bs-toggle="tooltip" title="Options">
                                                    <i class="feather-more-vertical"></i>
                                                </div>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body custom-card-action p-0">
                                    <div class="table-responsive">
                                        <table class="table table-hover mb-0 myTable">
                                            <thead>
                                            <tr>
                                                <th>Sr.No</th>
                                                <th>Name</th>
                                                <th>Email</th>
                                                <th>Subject</th>
                                                <th>Message</th>
                                                <th>Action</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            @forelse($contact_messages as $t=>$contact_message)
                                                <tr>
                                                    <td>{{ $t+1 }}</td>
                                                    <td>{{ $contact_message->name }}</td>
                                                    <td>{{ $contact_message->email }}</td>
                                                    <td>{{ $contact_message->subject }}</td>
                                                    <td><textarea rows="2" class="mb-2">{{ $contact_message->message }}</textarea></td>
                                                    <td>
                                                        <a href="{{ route('admin.delete_contact_message',[encrypt($contact_message->id)]) }}"
                                                           onclick="return(confirm('{{ __("language.are_you_sure") }}'))"
                                                           class="avatar-text avatar-md" style="margin-top: 8px;margin-left: 10px">
                                                            <i class="feather-trash-2"></i>
                                                        </a>
                                                    </td>
                                                </tr>

                                            @empty
                                                <center>
                                                    <h2 style="color: red" class="mt-2">
                                                        {{ __('language.no_record_found') }}
                                                    </h2>
                                                </center>
                                            @endforelse
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <!-- [ Content Area ] end -->
        </div>
        <!-- [ Main Content ] end -->
    </div>

@endsection
@section('script')


@endsection