@extends('admin.layout.master')

@section('title')
    Edit Instagram Images
@endsection

@section('content')

    <div class="nxl-content without-header nxl-full-content">
        <!-- [ Main Content ] start -->
        <div class="main-content d-flex">
            <!-- [ Main Area  ] start -->
            <div class="content-area">



                    <div class="content-area-header bg-white sticky-top">
                        <div class="page-header-left pt-3">
                            <ul class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">{{ __('language.home') }}</a></li>
                                <li class="breadcrumb-item">Edit Instagram Images</li>
                            </ul>
                        </div>
                        <div class="page-header-right ms-auto">
                            <div class="d-flex align-items-center gap-3 page-header-right-items-wrapper">
                                <button class="btn btn-primary MyButton" type="button" data-bs-toggle="modal"
                                        data-bs-target="#instagramimages">
                                    <span>{{ __('language.add') }} {{ __('language.image') }}</span>
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="content-area-body">
                        <div class="card mb-0">
                            <div class="card-body">

                                <div class="table-responsive">
                                    <table class="table text-center myTable">
                                        <thead>
                                        <tr>
                                            <th>Id</th>
                                            <th>Image</th>
                                            <th>Created At</th>
                                            <th>Delete</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @forelse($images as $t=>$img)
                                            <tr>
                                                <td>{{ $t+1 }}</td>
                                                <td>
                                                    <a href="{{ URL::asset('admin/assets/uploads/'.$img->image )}}" target="_blank">
                                                        <img src="{{ URL::asset('admin/assets/uploads/'.$img->image )}}"
                                                             class="card-img-top"
                                                             alt="..." style="width:70px;height: 70px;border-radius: 50%">
                                                    </a>
                                                </td>
                                                <td>{{ Carbon\Carbon::parse($img->created_at)->format('d-m-Y') }}</td>
                                                <td>
                                                    <a onclick="return(confirm('Are you sure to delete this record permanently ?'))"
                                                       href="{{ route('admin.delete_instagram_image',[encrypt($img->id)]) }}"
                                                       class="btn btn-danger btn-icon mt-1">
                                                        Delete
                                                    </a>
                                                </td>
                                            </tr>
                                        @empty
                                            <tr>
                                                <td></td>
                                                <td></td>
                                                <td>No Record Found</td>
                                                <td></td>
                                                <td></td>
                                            </tr>
                                        @endforelse
                                        </tbody>
                                    </table>
                                </div>

                            </div>
                        </div>
                    </div>
            </div>
            <!-- [ Content Area ] end -->
        </div>
        <!-- [ Main Content ] end -->
    </div>

@endsection