@extends('admin.layout.master')

@section('title')
    {{ __('language.profile') }}
@endsection

@section('content')

    <div class="nxl-content without-header nxl-full-content">
        <!-- [ Main Content ] start -->
        <div class="main-content d-flex">
            <!-- [ Main Area  ] start -->
            <div class="content-area">

                <form method="POST" class="MyForm" action="{{ route('admin.updateprofile') }}"
                      enctype="multipart/form-data">
                    @csrf

                    <div class="content-area-header bg-white sticky-top">
                        <div class="page-header-left pt-3">
                            <ul class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">{{ __('language.home') }}</a></li>
                                <li class="breadcrumb-item">{{ __('language.profile') }}</li>
                            </ul>
                        </div>
                        <div class="page-header-right ms-auto">
                            <div class="d-flex align-items-center gap-3 page-header-right-items-wrapper">
                                <button class="btn btn-primary MyButton">
                                    <i class="feather-save me-2"></i>
                                    <span>{{ __('language.save_changes') }}</span>
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="content-area-body">
                        <div class="card mb-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-6 ">
                                        <label class="form-label">{{ __('language.name') }}</label>
                                        <input type="text" class="form-control" name="name" placeholder="{{ __('language.name') }}"
                                               required value="<?php echo $admin->name; ?>">
                                    </div>
                                    <div class="col-md-6 ">
                                        <label class="form-label">{{ __('language.email') }}</label>
                                        <input type="email" class="form-control" placeholder="{{ __('language.email') }}" name="email"
                                               required value="<?php echo $admin->email; ?>">
                                    </div>
                                    <div class="col-md-6 ">
                                        <label class="form-label">{{ __('language.phone') }}</label>
                                        <input type="text" class="form-control" placeholder="{{ __('language.phone') }}" required
                                               value="<?php echo $admin->phone; ?>" name="phone">
                                    </div>
                                    <div class="col-md-6 ">
                                        <label class="form-label">{{ __('language.address') }}</label>
                                        <input type="text" class="form-control" placeholder="{{ __('language.address') }}" name="address"
                                               required value="<?php echo $admin->address; ?>">
                                    </div>
                                    <div class="col-md-6 ">
                                        <label class="form-label">{{ __('language.password') }}</label>
                                        <input type="text" class="form-control" placeholder="{{ __('language.password') }}" name="password">
                                    </div>
                                    <div class="col-md-6 ">
                                        <label>{{ __('language.profile_image') }}</label>
                                        <input type="file" class="form-control mb-3 MyFileInput" autocomplete="off"
                                               name="profile" id="profile" onchange="validateImages(this.id)"
                                               accept="image/*">
                                        <small><a href="{{ URL::asset('admin/assets/uploads/'.$admin->image) }}"
                                                  target="_blank">{{ __('language.view') }}</a></small>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </form>
            </div>
            <!-- [ Content Area ] end -->
        </div>
        <!-- [ Main Content ] end -->
    </div>

@endsection