@extends('admin.layout.master')

@section('title')
    {{ __('language.settings') }}
@endsection

@section('content')

    <div class="nxl-content without-header nxl-full-content">
        <!-- [ Main Content ] start -->
        <div class="main-content d-flex">
            <!-- [ Main Area  ] start -->
            <div class="content-area" style="height: auto !important;">

                <form method="POST" class="MyForm" action="{{ route('admin.updatesetting') }}"
                      enctype="multipart/form-data">
                    @csrf

                    <div class="content-area-header bg-white sticky-top">
                        <div class="page-header-left pt-3">
                            <ul class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">{{ __('language.home') }}</a></li>
                                <li class="breadcrumb-item">{{ __('language.settings') }}</li>
                            </ul>
                        </div>
                        <div class="page-header-right ms-auto">
                            <div class="d-flex align-items-center gap-3 page-header-right-items-wrapper">
                                <button class="btn btn-primary MyButton">
                                    <i class="feather-save me-2"></i>
                                    <span>{{ __('language.save_changes') }}</span>
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="content-area-body">
                        <div class="card mb-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-4">
                                        <label class="form-label">{{ __('language.name') }}</label>
                                        <input type="text" class="form-control" name="name" placeholder="{{ __('language.name') }}"
                                               required value="<?php echo $system->name; ?>">
                                    </div>
                                    <div class="col-md-4">
                                        <label class="form-label">{{ __('language.email') }}</label>
                                        <input type="email" class="form-control" placeholder="{{ __('language.email') }}" name="email"
                                               required value="<?php echo $system->email; ?>">
                                    </div>
                                    <div class="col-md-4">
                                        <label class="form-label">{{ __('language.phone') }}</label>
                                        <input type="text" class="form-control" placeholder="{{ __('language.phone') }}" required
                                               value="<?php echo $system->phone; ?>" name="phone">
                                    </div>
                                    <div class="col-md-12">
                                        <label class="form-label">{{ __('language.location') }}</label>
                                        <input type="text" class="form-control" id="location" placeholder="{{ __('language.location') }}" name="location"
                                               required value="<?php echo $system->location; ?>">
                                    </div>
                                    <div class="col-md-4">
                                        <label>{{ __('language.header_logo') }}</label>
                                        <input type="file" class="form-control mb-3 MyFileInput" autocomplete="off"
                                               name="logo" id="profile" onchange="validateImages(this.id)"
                                               accept="image/*">
                                        <small><a href="{{ URL::asset('admin/assets/uploads/'.$system->logo) }}"
                                                  target="_blank">{{ __('language.view') }}</a></small>
                                    </div>
                                    <div class="col-md-4">
                                        <label>{{ __('language.footer_logo') }}</label>
                                        <input type="file" class="form-control mb-3 MyFileInput" autocomplete="off"
                                               name="footerlogo" id="footerlogo" onchange="validateImages(this.id)"
                                               accept="image/*">
                                        <small><a href="{{ URL::asset('admin/assets/uploads/'.$system->footerlogo) }}"
                                                  target="_blank">{{ __('language.view') }}</a></small>
                                    </div>
                                    <div class="col-md-4">
                                        <label>{{ __('language.favicon') }}</label>
                                        <input type="file" class="form-control mb-3 MyFileInput" autocomplete="off"
                                               name="favicon" id="favicon" onchange="validateImages(this.id)"
                                               accept="image/*">
                                        <small><a href="{{ URL::asset('admin/assets/uploads/'.$system->favicon) }}"
                                                  target="_blank">{{ __('language.view') }}</a></small>
                                    </div>
                                    <div class="col-md-12">
                                        <label class="form-label">{{ __('language.footer_description') }}</label>
                                        <textarea name="footer_description" rows="5" class="form-control"
                                                  required placeholder="{{ __('language.footer_description') }}">{{ $system->footer_description }}</textarea>
                                    </div>
                                    <div class="col-md-6">
                                        <label class="form-label">{{ __('language.facebook') }}</label>
                                        <input type="text" class="form-control" placeholder="{{ __('language.facebook') }}" name="facebook"
                                               value="<?php echo $system->facebook; ?>">
                                    </div>
                                    <div class="col-md-6">
                                        <label class="form-label">{{ __('language.twitter') }}</label>
                                        <input type="text" class="form-control" placeholder="{{ __('language.twitter') }}" name="twitter"
                                               value="<?php echo $system->twitter; ?>">
                                    </div>
                                    <div class="col-md-6">
                                        <label class="form-label">{{ __('language.instagram') }}</label>
                                        <input type="text" class="form-control" placeholder="{{ __('language.instagram') }}" name="instagram"
                                               value="<?php echo $system->instagram; ?>">
                                    </div>
                                    <div class="col-md-6">
                                        <label class="form-label">{{ __('language.linkedin') }}</label>
                                        <input type="text" class="form-control" placeholder="{{ __('language.linkedin') }}" name="linkedin"
                                               value="<?php echo $system->linkedin; ?>">
                                    </div>
                                    <div class="col-md-12">
                                        <label class="form-label">{{ __('language.whatsapp') }}</label>
                                        <input type="text" class="form-control" placeholder="{{ __('language.whatsapp') }}" name="whatsapp"
                                               value="<?php echo $system->whatsapp; ?>">
                                    </div>
                                    <div class="col-md-12">
                                        <label class="form-label">{{ __('language.stripe_public_key') }}</label>
                                        <input type="text" class="form-control" placeholder="{{ __('language.stripe_public_key') }}"
                                               name="stripe_public" value="<?php echo $system->stripe_public; ?>">
                                    </div>
                                    <div class="col-md-12">
                                        <label class="form-label">{{ __('language.stripe_secrete_key') }}</label>
                                        <input type="text" class="form-control" placeholder="{{ __('language.stripe_secrete_key') }}"
                                               name="stripe_secret" value="<?php echo $system->stripe_secret; ?>">
                                    </div>
                                    <div class="col-md-12">
                                        <label class="form-label">{{ __('language.tinymce_key') }}</label>
                                        <input type="text" class="form-control" placeholder="{{ __('language.tinymce_key') }}"
                                               name="tiny_api_key" value="<?php echo $system->tiny_api_key; ?>">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </form>
            </div>
            <!-- [ Content Area ] end -->
        </div>
        <!-- [ Main Content ] end -->
    </div>

@endsection
@section('script')
    <script src="https://maps.googleapis.com/maps/api/js?v=3.exp&sensor=false&key=AIzaSyABXn0Dg5Bkbn8UnQFbMaaqbAQBMAsivEc&libraries=places"></script>

    <script>
        google.maps.event.addDomListener(window, 'load', initialize);

        function initialize() {
            var input = document.getElementById('location');
            var autocomplete = new google.maps.places.Autocomplete(input);
            autocomplete.addListener('place_changed', function () {
                var place = autocomplete.getPlace();
            });
        }
    </script>
@endsection