@extends('admin.layout.master')

@section('title')
    {{ __('language.add_subscriptions') }}
@endsection

@section('content')

    <div class="nxl-content without-header nxl-full-content">
        <!-- [ Main Content ] start -->
        <div class="main-content d-flex">
            <!-- [ Main Area  ] start -->
            <div class="content-area">

                <form method="POST" class="MyForm" action="{{ route('admin.savesubscription') }}"
                      enctype="multipart/form-data">
                    @csrf

                    <div class="content-area-header bg-white sticky-top">
                        <div class="page-header-left pt-3">
                            <ul class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">{{ __('language.home') }}</a></li>
                                <li class="breadcrumb-item">{{ __('language.add_subscriptions') }}</li>
                            </ul>
                        </div>
                        <div class="page-header-right ms-auto">
                            <div class="d-flex align-items-center gap-3 page-header-right-items-wrapper">
                                <button class="btn btn-primary MyButton">
                                    <i class="feather-save me-2"></i>
                                    <span>{{ __('language.save_changes') }}</span>
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="content-area-body">
                        <div class="card mb-0">
                            <div class="card-body">
                                <div class="row">

                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label> {{ __('language.heading') }} </label>
                                            <input type="text" name="heading" class="form-control MyInput"
                                                   placeholder="{{ __('language.heading') }}" required>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label> {{ __('language.1_line_description') }} </label>
                                            <input type="text" name="description" class="form-control MyInput"
                                                   placeholder="{{ __('language.1_line_description') }}" required>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>{{ __('language.price') }}</label>
                                            <input type="number" name="price" class="form-control MyInput"
                                                   placeholder="{{ __('language.price') }}" required>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label> {{ __('language.no_of_days') }} </label>
                                            <input type="number" min="1" name="days" class="form-control MyInput"
                                                   placeholder="{{ __('language.no_of_days') }}" required>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-10">
                                            <label> {{ __('language.detail') }} </label>
                                            <input type="text" name="detail[]" class="form-control MyInput"
                                                   placeholder="{{ __('language.detail') }}" required>
                                        </div>
                                        <div class="col-md-2">
                                            <button class="btn btn-info w-100" type="button" onclick="AddMore()"
                                                    style="margin-top:21px;height:57px">{{ __('language.add_more') }}
                                            </button>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div id="append"></div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </form>
            </div>
            <!-- [ Content Area ] end -->
        </div>
        <!-- [ Main Content ] end -->
    </div>

@endsection
@section('script')

    <script>


        var count = 1;

        function AddMore() {

            var detail = `<div class="row" id="append_` + count + `">
                                    <div class="col-md-10">
                                        <label> {{ __('language.detail') }} </label>
                                        <input type="text" name="detail[]" class="form-control MyInput"
                                               placeholder="{{ __('language.detail') }}" required>
                                    </div>
                                    <div class="col-md-2">
                                        <button class="btn btn-danger w-100" type="button" onclick="Remove(` + count + `)"
                                                style="margin-top:21px;height:57px"> {{ __('language.remove') }}
                                        </button>
                                    </div>
                                </div>`;
            $("#append").append(detail);
            count++;
        }

        function Remove(id) {
            $("#append_" + (count-1)).remove();
            count--;
        }

    </script>

@endsection