@extends('admin.layout.master')

@section('title')
    {{ __('language.subscriptions') }} {{ __('language.list') }}
@endsection

@php
    use Illuminate\Support\Str;
@endphp


@section('content')

    <div class="nxl-content without-header nxl-full-content">
        <!-- [ Main Content ] start -->
        <div class="main-content d-flex">
            <!-- [ Main Area  ] start -->
            <div class="content-area">

                <form method="POST" class="MyForm" action="{{ route('admin.savesubscription') }}"
                      enctype="multipart/form-data">
                    @csrf

                    <div class="content-area-header bg-white sticky-top">
                        <div class="page-header-left pt-3">
                            <ul class="breadcrumb">
                                <li class="breadcrumb-item"><a
                                            href="{{ route('admin.dashboard') }}">{{ __('language.home') }}</a></li>
                                <li class="breadcrumb-item">{{ __('language.subscriptions') }} {{ __('language.list') }}</li>
                            </ul>
                        </div>
                    </div>
                    <div class="content-area-body">
                        <div class="card mb-0">
                            <div class="card-body">

                                <div class="row">
                                    @forelse($subscriptions as $t=>$subscription)
                                        <div class="col-md-4 mb-3">
                                            <div class="card h-100">
                                                <div class="card-body">
                                                    <div class="row">

                                                        <div class="col-md-12 px-4">
                                                            <center><h3 class="mb-3"><b>{{ $subscription->heading }}</b>
                                                                </h3>
                                                            </center>
                                                        </div>
                                                        <div class="col-md-12 px-4 mt-2">
                                                            <center><h5 class="mb-3">{{ $websitesetting->currency_symbol }}{{ $subscription->price }}</h5>
                                                            </center>
                                                            <center><p class="mb-3"><b>{{ $subscription->days }}
                                                                        {{ __('language.days') }} </b>
                                                            </center>
                                                            <center><p class="mb-3">{{ $subscription->description }}</p>
                                                            </center>
                                                        </div>
                                                        <hr>

                                                        @forelse($subscription->detail as $k=>$d)
                                                            @if($k<5)
                                                                <div class="col-md-12 px-4">
                                                                    <li>{{ strlen($d->detail) > 40 ? substr($d->detail, 0, 40) . '...' : $d->detail }}</li>
                                                                </div>
                                                            @endif
                                                        @empty
                                                        @endforelse

                                                        <div class="col-md-2"></div>
                                                        <div class="col-md-6 mt-3">
                                                            <center>
                                                                <a href="{{ route('admin.editsubscription', [$subscription->id]) }}"
                                                                   class="btn btn-info btn-icon">
                                                                    <i class="feather feather-edit-2 me-3"></i>
                                                                </a>
                                                                <a onclick="return(confirm('{{ __("language.are_you_sure") }}'))"
                                                                   href="{{ route('admin.deletesubscription', [$subscription->id]) }}"
                                                                   class="btn btn-danger btn-icon mt-1">
                                                                    <i class="feather feather-trash-2 me-3"></i>
                                                                </a>
                                                            </center>
                                                        </div>
                                                        <div class="col-md-2"></div>

                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    @empty
                                        <center>
                                            <h2>
                                                {{ __('language.no_record_found') }}
                                            </h2>
                                        </center>
                                    @endforelse
                                </div>

                            </div>
                        </div>
                    </div>

                </form>
            </div>
            <!-- [ Content Area ] end -->
        </div>
        <!-- [ Main Content ] end -->
    </div>

@endsection