@extends('host.layout.master')

@section('title')
    {{ __('language.add') }} Tours
@endsection

<?php

use Illuminate\Support\Str;

?>

@section('content')

    <main class="nxl-container">

        <!-- [ page-header ] start -->
        <div class="page-header">
            <div class="page-header-left d-flex align-items-center">
                <div class="page-header-title">
                    <h5 class="m-b-10">Home</h5>
                </div>
                <ul class="breadcrumb">
                    <li class="breadcrumb-item">Add Tours</li>
                </ul>
            </div>
        </div>
        <!-- [ page-header ] end -->
        <!-- [ Main Content ] start -->
        <div class="main-content mt-4">
            <div class="row">
                <div class="col-xxl-12 col-xl-12">
                    <div class="card border-top-0">
                        <div class="card-body">
                            <form action="{{ route('host.save_host_tour') }}" method="post" class="MyForm"
                                  enctype="multipart/form-data">
                                @csrf
                                <div class="row">

                                    <div class="col-md-6">
                                        <label for="">Heading</label>
                                        <input type="text" class="form-control MyInput" placeholder="Heading"
                                               required name="heading">
                                    </div>
                                    <div class="col-md-3">
                                        <label class="form-label"> {{ __('language.categories') }} </label>
                                        <select name="category" class="form-control MyInput" required>
                                            <option value="">{{ __('language.select') }} {{ __('language.categories') }}</option>
                                            @forelse($categories as $category)
                                                <option value="{{ $category->id }}">{{ $category->name }}</option>
                                            @empty
                                            @endforelse
                                        </select>
                                    </div>
                                    <div class="col-md-3">
                                        <label for="">Image</label>
                                        <input type="file" class="form-control MyInput" placeholder="Image" required name="image" accept="image/*">
                                    </div>
                                    <div class="col-md-12">
                                        <label for="">Location</label>
                                        <input type="text" class="form-control MyInput" id="location"
                                               placeholder="Location"
                                               required name="location">
                                    </div>
                                    <div class="col-md-6">
                                        <label class="form-label">{{ __('language.status') }}</label>
                                        <select class="form-select" data-select2-selector="icon" name="status">
                                            <option value="active" data-icon="feather-check text-success" selected>Active
                                            </option>
                                            <option value="inactive" data-icon="feather-x text-danger">Inactive</option>
                                        </select>
                                    </div>
                                    <div class="col-md-6">
                                        <label class="form-label">Duration</label>
                                        <select class="form-select" data-select2-selector="icon" name="duration" required>
                                            <option value="" selected disabled>Select Duration</option>
                                            @for($i=1;$i<365;$i++)
                                            <option value="{{ $i }}" data-icon="text-success">{{ $i }} Days</option>
                                            @endfor
                                        </select>
                                    </div>
{{--                                    <div class="col-md-6">--}}
{{--                                        <label for="">Multiple Images</label>--}}
{{--                                        <input type="file" class="form-control MyInput" name="images[]" multiple accept="image/*">--}}
{{--                                    </div>--}}
                                    <div class="col-md-12 mt-4">
                                        <label for="">Tour Description</label>
                                        <textarea name="description" class="form-control" placeholder="Description . . . "></textarea>
                                    </div>
                                    <div class="col-md-12 text-center justify-content-center mt-4">
                                        <center>
                                            <button class="btn btn-primary MyButton">
                                                <i class="feather-save me-2"></i>
                                                <span>{{ __('language.save_changes') }}</span>
                                            </button>
                                        </center>
                                    </div>

                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- [ Main Content ] end -->

    </main>

@endsection
@section('script')

    <script>
        var useDarkMode = window.matchMedia('(prefers-color-scheme: dark)').matches;

        tinymce.init({
            selector: 'textarea',
            plugins: 'print preview paste importcss searchreplace autolink autosave save directionality code visualblocks visualchars fullscreen image link media template codesample table charmap hr pagebreak nonbreaking anchor toc insertdatetime advlist lists wordcount imagetools textpattern noneditable help charmap quickbars emoticons',
            imagetools_cors_hosts: ['picsum.photos'],
            menubar: 'file edit view insert format tools table help',
            toolbar: 'undo redo | bold italic underline strikethrough | fontselect fontsizeselect formatselect | alignleft aligncenter alignright alignjustify | outdent indent |  numlist bullist | forecolor backcolor removeformat | pagebreak | charmap emoticons | fullscreen  preview save print | insertfile image media template link anchor codesample | ltr rtl',
            toolbar_sticky: true,
            autosave_ask_before_unload: true,
            autosave_interval: '30s',
            autosave_prefix: '{path}{query}-{id}-',
            autosave_restore_when_empty: false,
            autosave_retention: '2m',
            image_advtab: true,
            link_list: [
                {title: 'My page 1', value: 'https://www.tiny.cloud'},
                {title: 'My page 2', value: 'http://www.moxiecode.com'}
            ],
            image_list: [
                {title: 'My page 1', value: 'https://www.tiny.cloud'},
                {title: 'My page 2', value: 'http://www.moxiecode.com'}
            ],
            image_class_list: [
                {title: 'None', value: ''},
                {title: 'Some class', value: 'class-name'}
            ],
            importcss_append: true,
            file_picker_callback: function (callback, value, meta) {
                /* Provide file and text for the link dialog */
                if (meta.filetype === 'file') {
                    callback('https://www.google.com/logos/google.jpg', {text: 'My text'});
                }

                /* Provide image and alt text for the image dialog */
                if (meta.filetype === 'image') {
                    callback('https://www.google.com/logos/google.jpg', {alt: 'My alt text'});
                }

                /* Provide alternative source and posted for the media dialog */
                if (meta.filetype === 'media') {
                    callback('movie.mp4', {source2: 'alt.ogg', poster: 'https://www.google.com/logos/google.jpg'});
                }
            },
            templates: [
                {
                    title: 'New Table',
                    description: 'creates a new table',
                    content: '<div class="mceTmpl"><table width="98%%"  border="0" cellspacing="0" cellpadding="0"><tr><th scope="col"> </th><th scope="col"> </th></tr><tr><td> </td><td> </td></tr></table></div>'
                },
                {title: 'Starting my story', description: 'A cure for writers block', content: 'Once upon a time...'},
                {
                    title: 'New list with dates',
                    description: 'New List with dates',
                    content: '<div class="mceTmpl"><span class="cdate">cdate</span><br /><span class="mdate">mdate</span><h2>My List</h2><ul><li></li><li></li></ul></div>'
                }
            ],
            template_cdate_format: '[Date Created (CDATE): %m/%d/%Y : %H:%M:%S]',
            template_mdate_format: '[Date Modified (MDATE): %m/%d/%Y : %H:%M:%S]',
            height: 600,
            image_caption: true,
            quickbars_selection_toolbar: 'bold italic | quicklink h2 h3 blockquote quickimage quicktable',
            noneditable_noneditable_class: 'mceNonEditable',
            toolbar_mode: 'sliding',
            contextmenu: 'link image imagetools table',
            skin: useDarkMode ? 'oxide-dark' : 'oxide',
            content_css: useDarkMode ? 'dark' : 'default',
            content_style: 'body { font-family:Helvetica,Arial,sans-serif; font-size:14px }'
        });
    </script>


    <script src="https://maps.googleapis.com/maps/api/js?v=3.exp&sensor=false&key=AIzaSyABXn0Dg5Bkbn8UnQFbMaaqbAQBMAsivEc&libraries=places"></script>

    <script>
        google.maps.event.addDomListener(window, 'load', initialize);

        function initialize() {
            var input = document.getElementById('location');
            var autocomplete = new google.maps.places.Autocomplete(input);
            autocomplete.addListener('place_changed', function () {
                var place = autocomplete.getPlace();
            });
        }
    </script>

@endsection