@extends('host.layout.master')

@section('title')
    {{ __('language.edit') }} Tours Images
@endsection

<?php

use Illuminate\Support\Str;

?>

@section('content')

    <main class="nxl-container">

        <!-- [ page-header ] start -->
        <div class="page-header">
            <div class="page-header-left d-flex align-items-center">
                <div class="page-header-title">
                    <h5 class="m-b-10">Home</h5>
                </div>
                <ul class="breadcrumb">
                    <li class="breadcrumb-item">Edit Tours Images</li>
                </ul>
            </div>
            <div class="page-header-right ms-auto">
                <div class="d-flex align-items-center gap-3 page-header-right-items-wrapper">
                    <button class="btn btn-primary MyButton" type="button" data-bs-toggle="modal"
                            data-bs-target="#addtourimages">
                        <span>{{ __('language.add') }} {{ __('language.image') }}</span>
                    </button>
                </div>
            </div>
        </div>
        <!-- [ page-header ] end -->
        <!-- [ Main Content ] start -->
        <div class="main-content mt-4">
            <div class="row">
                <div class="col-xxl-12 col-xl-12">
                    <div class="card border-top-0">
                        <div class="card-body">

                            <div class="table-responsive">
                                <table id="dataTableExample" class="table text-center">
                                    <thead>
                                    <tr>
                                        <th>Id</th>
                                        <th>Image</th>
                                        <th>Created At</th>
                                        <th>Delete</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @forelse($tour->images as $t=>$img)
                                        <tr>
                                            <td>{{ $t+1 }}</td>
                                            <td>
                                                <a href="{{ URL::asset('admin/assets/uploads/'.$img->image )}}" target="_blank">
                                                    <img src="{{ URL::asset('admin/assets/uploads/'.$img->image )}}"
                                                         class="card-img-top"
                                                         alt="..." style="width:70px;height: 70px;border-radius: 50%">
                                                </a>
                                            </td>
                                            <td>{{ Carbon\Carbon::parse($img->created_at)->format('d-m-Y') }}</td>
                                            <td>
                                                <a onclick="return(confirm('Are you sure to delete this record permanently ?'))"
                                                   href="{{ route('host.delete_tour_image',[encrypt($img->id)]) }}"
                                                   class="btn btn-danger btn-icon mt-1">
                                                    Delete
                                                </a>
                                            </td>
                                        </tr>
                                    @empty
                                        <tr>
                                            <td></td>
                                            <td></td>
                                            <td>No Record Found</td>
                                            <td></td>
                                            <td></td>
                                        </tr>
                                    @endforelse
                                    </tbody>
                                </table>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- [ Main Content ] end -->

    </main>

@endsection
