@extends('host.layout.master')

@section('title')
    {{ __('language.profile') }}
@endsection

@section('content')

    <style>
        .cardstyle {
            font-size: 20px !important;
            margin-top: 10px !important;
        }
    </style>

    <main class="nxl-container">

        <div class="nxl-content without-header nxl-full-content">
            <!-- [ Main Content ] start -->
            <div class="main-content d-flex">
                <!-- [ Main Area  ] start -->
                <div class="content-area">

                    <div class="row p-4">
                        <div class="col-xxl-3 col-md-6">
                            <a href="{{ route('host.add_tours') }}">
                                <div class="card stretch stretch-full shadow" style="background-color: #ccc8c8">
                                    <div class="card-body">
                                        <div class="d-flex align-items-start justify-content-between">
                                            <div class="d-flex gap-4 align-items-center">
                                                <div class="avatar-text avatar-lg bg-gray-200">
                                                    <i class="fa fa-plane"></i>
                                                </div>
                                                <div>
                                                    <h3 class="fs-13 fw-semibold text-truncate-1-line cardstyle">Add
                                                        Tours</h3>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </a>
                        </div>
                        <div class="col-xxl-3 col-md-6">
                            <div class="card stretch stretch-full shadow" style="background-color: #ccc8c8">
                                <a href="{{ route('host.tourlist') }}">
                                    <div class="card-body">
                                        <div class="d-flex align-items-start justify-content-between">
                                            <div class="d-flex gap-4 align-items-center">
                                                <div class="avatar-text avatar-lg bg-gray-200">
                                                    <i class="fa fa-plane"></i>
                                                </div>
                                                <div>
                                                    <h2 class="fs-13 fw-semibold text-truncate-1-line cardstyle"><b>Tours
                                                            List</b></h2>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </a>
                            </div>
                        </div>
                        <div class="col-xxl-3 col-md-6">
                            <div class="card stretch stretch-full shadow" style="background-color: #ccc8c8">
                                <a href="{{ route('host.add_tours') }}">
                                    <div class="card-body">
                                        <div class="d-flex align-items-start justify-content-between">
                                            <div class="d-flex gap-4 align-items-center">
                                                <div class="avatar-text avatar-lg bg-gray-200">
                                                    <i class="feather-mail"></i>
                                                </div>
                                                <div>
                                                    <h3 class="fs-13 fw-semibold text-truncate-1-line cardstyle">
                                                        Chat</h3>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </a>
                            </div>
                        </div>
                        <div class="col-xxl-3 col-md-6">
                            <div class="card stretch stretch-full shadow" style="background-color: #ccc8c8">
                                <a href="{{ route('host.hostprofile') }}">
                                    <div class="card-body">
                                        <div class="d-flex align-items-start justify-content-between">
                                            <div class="d-flex gap-4 align-items-center">
                                                <div class="avatar-text avatar-lg bg-gray-200">
                                                    <i class="feather-user-plus"></i>
                                                </div>
                                                <div>
                                                    <h3 class="fs-13 fw-semibold text-truncate-1-line cardstyle">Update
                                                        Profile</h3>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </a>
                            </div>
                        </div>
                    </div>

                    <div class="row p-4">
                        @forelse($tours as $tour)

                            <div class="col-12 col-md-6 col-xl-3 mb-4 cardsearch">
                                <div class="card shadow h-100">
                                    <img src="{{ URL::asset('admin/assets/uploads/'.$tour->image )}}"
                                         class="card-img-top"
                                         alt="..." style="width:100%;height:300px">
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-8"><p
                                                        class="card-title">{{ $tour->category_data->name }}</p>
                                            </div>
                                            <div class="col-md-4">
                                                @if($tour->status=="active")
                                                    <span class="badge bg-success">Active</span>
                                                @else
                                                    <span class="badge bg-danger">Inactive</span>
                                                @endif
                                            </div>
                                        </div>
                                        <h5 class="card-text mb-3 small">{{ $tour->heading }}</h5>
                                        <div class="row">
                                            <div class="col-md-1"></div>
                                            <div class="col-md-3">
                                                <a href="{{ route('host.edittour', [encrypt($tour->id)]) }}"
                                                   class="btn btn-info btn-icon mt-1">
                                                    Edit
                                                </a>
                                            </div>
                                            <div class="col-md-3">
                                                <a onclick="return(confirm('{{ __("language.are_you_sure") }}'))"
                                                   href="{{ route('host.deletetour', [encrypt($tour->id)]) }}"
                                                   class="btn btn-danger btn-icon mt-1">
                                                    Delete
                                                </a>
                                            </div>
                                            <div class="col-md-4">
                                                <a href="{{ route('host.edit_tour_images', [encrypt($tour->id)]) }}"
                                                   class="btn btn-warning btn-icon mt-1">
                                                    Images
                                                </a>
                                            </div>
                                            <div class="col-md-1"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        @empty
                        @endforelse
                    </div>

                </div>
                <!-- [ Content Area ] end -->
            </div>
            <!-- [ Main Content ] end -->
        </div>

    </main>

@endsection