@extends('host.layout.master')

@section('title')
    Tours {{ __('language.list') }}
@endsection

@php
    use Illuminate\Support\Str;
@endphp


@section('content')

    <main class="nxl-container">

        <!-- [ page-header ] start -->
        <div class="page-header">
            <div class="page-header-left d-flex align-items-center">
                <div class="page-header-title">
                    <h5 class="m-b-10">Home</h5>
                </div>
                <ul class="breadcrumb">
                    <li class="breadcrumb-item">Tours List</li>
                </ul>
            </div>
        </div>
        <!-- [ page-header ] end -->
        <!-- [ Main Content ] start -->
        <div class="main-content mt-4">
            <div class="row">
                <div class="col-xxl-12 col-xl-12">
                    <div class="card border-top-0">
                        <div class="card-body">
                            <div class="row">
                                @forelse($tours as $tour)

                                    <div class="col-12 col-md-6 col-xl-3 mb-4 cardsearch">
                                        <div class="card shadow h-100">
                                            <img src="{{ URL::asset('admin/assets/uploads/'.$tour->image )}}"
                                                 class="card-img-top"
                                                 alt="..." style="width:100%;height:300px">
                                            <div class="card-body">
                                                <div class="row">
                                                    <div class="col-md-8"><p
                                                                class="card-title">{{ $tour->category_data->name }}</p>
                                                    </div>
                                                    <div class="col-md-4">
                                                        @if($tour->status=="active")
                                                            <span class="badge bg-success">Active</span>
                                                        @else
                                                            <span class="badge bg-danger">Inactive</span>
                                                        @endif
                                                    </div>
                                                </div>
                                                <h5 class="card-text mb-3 small">{{ $tour->heading }}</h5>
                                                <div class="row">
                                                    <div class="col-md-1"></div>
                                                    <div class="col-md-3">
                                                        <a href="{{ route('host.edittour', [encrypt($tour->id)]) }}"
                                                           class="btn btn-info btn-icon mt-1">
                                                            Edit
                                                        </a>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <a onclick="return(confirm('{{ __("language.are_you_sure") }}'))"
                                                           href="{{ route('host.deletetour', [encrypt($tour->id)]) }}"
                                                           class="btn btn-danger btn-icon mt-1">
                                                            Delete
                                                        </a>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <a href="{{ route('host.edit_tour_images', [encrypt($tour->id)]) }}"
                                                           class="btn btn-warning btn-icon mt-1">
                                                            Images
                                                        </a>
                                                    </div>
                                                    <div class="col-md-1"></div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                @empty
                                @endforelse
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- [ Main Content ] end -->

    </main>

@endsection