@extends('website.layout.master')

@section('title')
    About
@endsection

@section('content')

    <div class="breadcumb-wrapper" data-bg-src="{{ URL::asset('website/images/bg/breadcumb-bg.jpg')}}">
        <div class="container">
            <div class="breadcumb-content">
                <h1 class="breadcumb-title">About</h1>
                <ul class="breadcumb-menu">
                    <li><a href="{{route('home')}}">Home</a></li>
                    <li>About</li>
                </ul>
            </div>
        </div>
    </div>
    <div class="about-area position-relative overflow-hidden overflow-hidden space" id="about-sec">
        <div class="container">
            <div class="row">
                <div class="col-xl-7">
                    <div class="img-box3">
                        <div class="img1"><img src="{{ URL::asset('website/images/normal/about_3_1.jpg')}} " alt="About"></div>
                        <div class="img2"><img src="{{ URL::asset('website/images/normal/about_3_2.jpg')}}" alt="About"></div>
                        <div class="img3 movingX"><img src="{{ URL::asset('website/images/normal/about_3_3.jpg')}} " alt="About"></div>
                    </div>
                </div>
                <div class="col-xl-5">
                    <div class="ps-xl-4">
                        <div class="title-area mb-20"><span class="sub-title style1">Welcome To Flytrek</span>
                            <h2 class="sec-title mb-20 pe-xl-5 me-xl-5 heading">See the World, Build Connections!</h2></div>
                        <p class="pe-xl-5">WebTrip has grown purely through word of mouth, supported by the incredible community of travelers and hosts who believe in our mission.</p>
                        <p class="mb-30 pe-xl-5">Unlike other platforms, we don’t rely on advertisements to spread the word. Instead, the enthusiasm of our users drives our success, inspiring us to continue building a service that’s making a real impact in the global travel community.</p>
                        <div class="about-item-wrap">
                            <div class="about-item style2">
                                <div class="about-item_img"><img src="{{ URL::asset('website/images/icon/about_1_1.svg')}} " alt=""></div>
                                <div class="about-item_centent">
                                    <h5 class="box-title">Cultural Exchange</h5>
                                    <p class="about-item_text">Learn from locals and immerse yourself in authentic experiences.</p>
                                </div>
                            </div>
                            <div class="about-item style2">
                                <div class="about-item_img"><img src="{{ URL::asset('website/images/icon/about_1_2.svg')}}" alt=""></div>
                                <div class="about-item_centent">
                                    <h5 class="box-title">Skill Sharing</h5>
                                    <p class="about-item_text"> Help hosts with your unique talents while gaining new skills.</p>
                                </div>
                            </div>
                            <div class="about-item style2">
                                <div class="about-item_img"><img src="{{ URL::asset('website/images/icon/about_1_3.svg')}}" alt=""></div>
                                <div class="about-item_centent">
                                    <h5 class="box-title">Community Building</h5>
                                    <p class="about-item_text"> Connect with like-minded individuals passionate about making a difference.</p>
                                </div>
                            </div>
                        </div>
                        <div class="mt-35"><a href="#" class="th-btn style3 th-icon">Contact With Us</a></div>
                    </div>
                </div>
            </div>
        </div>
        <div class="shape-mockup movingX d-none d-xxl-block" data-top="4%" data-left="2%"><img src="{{ URL::asset('website/images/shape/shape_2_1.png')}} " alt="shape"></div>
        <div class="shape-mockup jump d-none d-xxl-block" data-top="28%" data-right="5%"><img src="{{ URL::asset('website/images/shape/shape_2_2.png')}}" alt="shape"></div>
        <div class="shape-mockup spin d-none d-xxl-block" data-bottom="18%" data-left="2%"><img src="{{ URL::asset('website/images/shape/shape_2_3.png')}}" alt="shape"></div>
        <div class="shape-mockup movixgX d-none d-xxl-block" data-bottom="18%" data-right="2%"><img src="{{ URL::asset('website/images/shape/shape_2_4.png')}}" alt="shape"></div>
    </div>


    <section class="bg-smoke space" data-bg-src="{{ URL::asset('website/images/bg/team_bg_1.png')}} ">
        <div class="container z-index-common">
            <div class="title-area text-center"><span class="sub-title">Meet with Guide</span>
                <h2 class="sec-title">Connect with Hosts</h2></div>
            <div class="slider-area">
                <div class="swiper th-slider teamSlider1 has-shadow" id="teamSlider1" data-slider-options='{"breakpoints":{"0":{"slidesPerView":1},"576":{"slidesPerView":"1"},"768":{"slidesPerView":"2"},"992":{"slidesPerView":"3"},"1200":{"slidesPerView":"4"}}}'>
                    <div class="swiper-wrapper">
                        @forelse($hosts as $host)
                            <div class="swiper-slide">
                                <div class="th-team team-box">
                                    <div class="team-img"><img
                                                src="{{ URL::asset('/admin/assets/uploads/'.$host->image) }}"
                                                alt="Team"></div>
                                    <div class="team-content">
                                        <div class="media-body">

                                            <h3 class="box-title"><a
                                                        href="#">{{ ($host->fname) ? $host->fname : '' }} {{ ($host->lname) ? $host->lname : '' }}</a>
                                            </h3>
                                            {{--                                            <div class="col-12">--}}
                                            {{--                                                <div class="offset-md-4 star-rating text-center" role="img"--}}
                                            {{--                                                     aria-label="Rated 5.00 out of 5"><span style="width:100%"></span></div>--}}
                                            {{--                                            </div>--}}
                                            <span class="team-desig mt-2">{{ $host->about_me ? Str::limit($host->about_me, 50) : '' }}</span>
                                            <div class="form-btn col-12 mt-24">
                                                <a href="{{route('listings',[$host->id])}}">
                                                    <button type="submit" class="th-btn style3">Details<img
                                                                src="http://127.0.0.1:8000/website/images/icon/plane.svg "
                                                                alt=""></button>
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @empty
                        @endforelse
                    </div>
                    <div class="slider-pagination"></div>
                </div>
            </div>
        </div>
    </section>
    <section class="testi-area overflow-hidden space" id="testi-sec">
        <div class="container-fluid p-0">
            <div class="title-area mb-20 text-center"><span class="sub-title">Testimonial</span>
                <h2 class="sec-title">What Client Say About us</h2></div>
            <div class="slider-area">
                <div class="swiper th-slider testiSlider1 has-shadow" id="testiSlider1" data-slider-options='{"breakpoints":{"0":{"slidesPerView":1},"767":{"slidesPerView":"2","centeredSlides":"true"},"992":{"slidesPerView":"2","centeredSlides":"true"},"1200":{"slidesPerView":"2","centeredSlides":"true"},"1400":{"slidesPerView":"3","centeredSlides":"true"}}}'>
                    <div class="swiper-wrapper">
                        <div class="swiper-slide">
                            <div class="testi-card">
                                <div class="testi-card_wrapper">
                                    <div class="testi-card_profile">
                                        <div class="testi-card_avater"><img src="{{ URL::asset('website/images/testimonial/testi_1_1.jpg')}} " alt="testimonial"></div>
                                        <div class="media-body">
                                            <h3 class="box-title">Maria Doe</h3><span class="testi-card_desig">Traveller</span></div>
                                    </div>
                                    <div class="testi-card_review"><i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i></div>
                                </div>
                                <p class="testi-card_text">“WebTrip allowed me to travel to places I never imagined and give back to the local communities. I gained valuable skills and made lifelong friends along the way!”</p>
                                <div class="testi-card-quote"><img src="{{ URL::asset('website/images/icon/testi-quote.svg')}} " alt="img"></div>
                            </div>
                        </div>
                        <div class="swiper-slide">
                            <div class="testi-card">
                                <div class="testi-card_wrapper">
                                    <div class="testi-card_profile">
                                        <div class="testi-card_avater"><img src="{{ URL::asset('website/images/testimonial/testi_1_2.jpg')}}" alt="testimonial"></div>
                                        <div class="media-body">
                                            <h3 class="box-title">Andrew Simon</h3><span class="testi-card_desig">Traveller</span></div>
                                    </div>
                                    <div class="testi-card_review"><i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i></div>
                                </div>
                                <p class="testi-card_text">“As a host, I’ve met so many amazing travelers through WebTrip. They’ve helped with everything from farming to teaching kids, and it’s been an enriching experience for both of us.”</p>
                                <div class="testi-card-quote"><img src="{{ URL::asset('website/images/icon/testi-quote.svg')}}" alt="img"></div>
                            </div>
                        </div>
                        <div class="swiper-slide">
                            <div class="testi-card">
                                <div class="testi-card_wrapper">
                                    <div class="testi-card_profile">
                                        <div class="testi-card_avater"><img src="{{ URL::asset('website/images/testimonial/testi_1_1.jpg')}}" alt="testimonial"></div>
                                        <div class="media-body">
                                            <h3 class="box-title">Alex Jordan</h3><span class="testi-card_desig">Traveller</span></div>
                                    </div>
                                    <div class="testi-card_review"><i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i></div>
                                </div>
                                <p class="testi-card_text">“I’ve tried many travel platforms, but WebTrip is by far the best. It’s not just about sightseeing; it’s about creating meaningful connections and contributing to communities.”</p>
                                <div class="testi-card-quote"><img src="{{ URL::asset('website/images/icon/testi-quote.svg')}}" alt="img"></div>
                            </div>
                        </div>
                        <div class="swiper-slide">
                            <div class="testi-card">
                                <div class="testi-card_wrapper">
                                    <div class="testi-card_profile">
                                        <div class="testi-card_avater"><img src="{{ URL::asset('website/images/testimonial/testi_1_2.jpg')}}" alt="testimonial"></div>
                                        <div class="media-body">
                                            <h3 class="box-title">Maria Doe</h3><span class="testi-card_desig">Traveller</span></div>
                                    </div>
                                    <div class="testi-card_review"><i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i></div>
                                </div>
                                <p class="testi-card_text">WebTrip helped me experience the real heart of the places I visited. It was about learning, growing, and giving back. Highly recommend it to all fellow travelers!</p>
                                <div class="testi-card-quote"><img src="{{ URL::asset('website/images/icon/testi-quote.svg')}}" alt="img"></div>
                            </div>
                        </div>
                        <div class="swiper-slide">
                            <div class="testi-card">
                                <div class="testi-card_wrapper">
                                    <div class="testi-card_profile">
                                        <div class="testi-card_avater"><img src="{{ URL::asset('website/images/testimonial/testi_1_1.jpg')}}" alt="testimonial"></div>
                                        <div class="media-body">
                                            <h3 class="box-title">Angelina Rose</h3><span class="testi-card_desig">Traveller</span></div>
                                    </div>
                                    <div class="testi-card_review"><i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i></div>
                                </div>
                                <p class="testi-card_text">"Being a host on WebTrip has been such a rewarding experience. Travelers bring so much energy and enthusiasm to the places they visit, and I love seeing how much they learn and contribute."</p>
                                <div class="testi-card-quote"><img src="{{ URL::asset('website/images/icon/testi-quote.svg')}}" alt="img"></div>
                            </div>
                        </div>
                        <div class="swiper-slide">
                            <div class="testi-card">
                                <div class="testi-card_wrapper">
                                    <div class="testi-card_profile">
                                        <div class="testi-card_avater"><img src="{{ URL::asset('website/images/testimonial/testi_1_1.jpg')}}" alt="testimonial"></div>
                                        <div class="media-body">
                                            <h3 class="box-title">Maria Doe</h3><span class="testi-card_desig">Traveller</span></div>
                                    </div>
                                    <div class="testi-card_review"><i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i></div>
                                </div>
                                <p class="testi-card_text">"WebTrip opened doors to unique travel experiences that I would never have had without the platform. From helping in local schools to farming in rural villages, it was all so enriching!"</p>
                                <div class="testi-card-quote"><img src="{{ URL::asset('website/images/icon/testi-quote.svg')}}" alt="img"></div>
                            </div>
                        </div>
                        <div class="swiper-slide">
                            <div class="testi-card">
                                <div class="testi-card_wrapper">
                                    <div class="testi-card_profile">
                                        <div class="testi-card_avater"><img src="{{ URL::asset('website/images/testimonial/testi_1_2.jpg')}}" alt="testimonial"></div>
                                        <div class="media-body">
                                            <h3 class="box-title">Andrew Simon</h3><span class="testi-card_desig">Traveller</span></div>
                                    </div>
                                    <div class="testi-card_review"><i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i></div>
                                </div>
                                <p class="testi-card_text">"The connections I’ve made through WebTrip have far exceeded my expectations. It’s a community that truly cares about meaningful travel and cultural exchange."</p>
                                <div class="testi-card-quote"><img src="{{ URL::asset('website/images/icon/testi-quote.svg')}}" alt="img"></div>
                            </div>
                        </div>
                        <div class="swiper-slide">
                            <div class="testi-card">
                                <div class="testi-card_wrapper">
                                    <div class="testi-card_profile">
                                        <div class="testi-card_avater"><img src="{{ URL::asset('website/images/testimonial/testi_1_1.jpg')}}" alt="testimonial"></div>
                                        <div class="media-body">
                                            <h3 class="box-title">Alex Jordan</h3><span class="testi-card_desig">Traveller</span></div>
                                    </div>
                                    <div class="testi-card_review"><i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i></div>
                                </div>
                                <p class="testi-card_text">"I feel like I’ve found my travel family through WebTrip. The hosts are always kind and welcoming, and the travelers I’ve met have shared incredible stories and skills."</p>
                                <div class="testi-card-quote"><img src="{{ URL::asset('website/images/icon/testi-quote.svg')}}" alt="img"></div>
                            </div>
                        </div>
                    </div>
                    <div class="slider-pagination"></div>
                </div>
            </div>
        </div>
        <div class="shape-mockup d-none d-xl-block" data-bottom="-2%" data-right="0%"><img src="{{ URL::asset('website/images/shape/line2.png')}} " alt="shape"></div>
        <div class="shape-mockup movingX d-none d-xl-block" data-top="30%" data-left="5%"><img src="{{ URL::asset('website/images/shape/shape_7.png')}} " alt="shape"></div>
    </section>

    <div class="sidebar-gallery-area space">
        <div class="container-fluid">
            <div class="slider-area">
                <div class="swiper th-slider has-shadow" data-slider-options='{"centeredSlides":"true","breakpoints":{"0":{"slidesPerView":1},"576":{"slidesPerView":"2"},"768":{"slidesPerView":"2"},"992":{"slidesPerView":"3"},"1200":{"slidesPerView":"3"},"1300":{"slidesPerView":"4"}}}'>
                    <div class="swiper-wrapper">

                        @forelse($images as $image)
                            <div class="swiper-slide">
                                <div class="gallery-thumb style2 global-img"><img style="width: 100%;height: 400px" src="{{ URL::asset('admin/assets/uploads/'.$image->image )}}" alt="Gallery Image"> <a target="_blank" href="{{ URL::asset('admin/assets/uploads/'.$image->image )}}" class="gallery-btn"><i class="fab fa-instagram"></i></a></div>
                            </div>
                        @empty
                        @endforelse

                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection

@section('script')
    <script src="{{ URL::asset('website/js/vendor/waypoints.js') }}"></script>

@endsection
