@extends('website.layout.master')

@section('title')
    Blogs
@endsection

@section('content')

    <div class="breadcumb-wrapper" data-bg-src="{{ URL::asset('website/images/bg/breadcumb-bg.jpg')}}">
        <div class="container">
            <div class="breadcumb-content">
                <h1 class="breadcumb-title">Blogs</h1>
                <ul class="breadcumb-menu">
                    <li><a href="{{route('home')}}">Home</a></li>
                    <li>Blogs</li>
                </ul>
            </div>
        </div>
    </div>
    <section class="th-blog-wrapper space-top space-extra-bottom">
        <div class="container">
            <div class="row">
                <div class="col-xxl-8 col-lg-7">
                    @forelse($blogs as $blog)

                        <div class="th-blog blog-single has-post-thumbnail">
                            <div class="blog-img">
                                <a href="{{route('blogdetails',[$blog->slug])}}"><img
                                            src="{{URL::asset('admin/assets/uploads/'.$blog->image)}}"
                                            alt="Blog Image"></a>
                            </div>
                            <div class="blog-content">
                                <div class="blog-meta"><a class="author"
                                                          href="{{route('blogdetails',[$blog->slug])}}"><i
                                                class="fa-light fa-user"></i>by {{ $admin->name }}</a> <a
                                            href="{{route('blogdetails',[$blog->slug])}}"><i
                                                class="fa-solid fa-calendar-days"></i>{{ \Carbon\Carbon::parse($blog->created_at)->format('d M Y') }}
                                    </a>
                                    <a href="{{route('blogdetails',[$blog->slug])}}"><img
                                                src="{{ URL::asset('website/images/icon/map.svg')}}"
                                                alt="">{{ $blog->category_data->name }}</a>
                                </div>
                                <h2 class="blog-title"><a
                                            href="{{route('blogdetails',[$blog->slug])}}">{{ $blog->heading }}</a></h2>
                                <p class="blog-text">{!! Illuminate\Support\Str::limit($blog->description, 200) !!}</p>
                                <a href="{{route('blogdetails',[$blog->slug])}}" class="th-btn style4 th-icon">Read
                                    More</a></div>
                        </div>

                    @empty
                        <center>
                            <h2 style="color:red;font-weight: bold">No blogs available.</h2>
                        </center>
                    @endforelse


                    <div class="th-pagination">
                        @if ($blogs->lastPage() > 1)
                            <ul>
                                <li class="{{ ($blogs->currentPage() == 1) ? ' disabled' : '' }}">
                                    @if($blogs->currentPage() == 1)
                                        <a style="cursor: not-allowed" disabled=""><span
                                                    class="fa fa-long-arrow-left"></span></a>
                                    @else
                                        <a href="{{ $blogs->url(1) }}"><span
                                                    class="fa fa-long-arrow-left"></span></a>
                                    @endif
                                </li>
                                @for ($i = 1; $i <= $blogs->lastPage(); $i++)
                                    <li>
                                        <a class="{{ ($blogs->currentPage() == $i) ? ' active' : '' }}"
                                           href="{{ $blogs->url($i) }}">{{ $i }}</a>
                                    </li>
                                @endfor
                                <li class="{{ ($blogs->currentPage() == $blogs->lastPage()) ? ' disabled' : '' }}">
                                    @if($blogs->currentPage() == $blogs->lastPage())
                                        <a style="cursor: not-allowed" disabled=""><span
                                                    class="fa fa-long-arrow-right"></span></a>
                                    @else
                                        <a href="{{ $blogs->url($blogs->currentPage()+1) }}"><span
                                                    class="fa fa-long-arrow-right"></span></a>
                                    @endif
                                </li>
                            </ul>
                        @endif
                    </div>

                </div>
                <div class="col-xxl-4 col-lg-5">
                    <aside class="sidebar-area">
                        <div class="widget widget_search">
                            <style>
                                input::placeholder {
                                    color: black !important;
                                }
                            </style>
                            <form method="get" action="{{ route('blog') }}" class="MyForm search-form">
                                <input type="text" name="search" placeholder="Search . . . " value="{{ ($request->search) ? $request->search : ''  }}" style="color: black !important;">
                                <button type="submit"><i class="far fa-search"></i></button>
                            </form>
                        </div>
                        <div class="widget widget_categories">
                            <h3 class="widget_title">Categories</h3>
                            <ul>
                                @forelse($blogcategories as $blogcategory)
                                    <li>
                                        <a href="{{ route('blog', ['category' => $blogcategory->id]) }}">
                                            <img src="#{{ URL::asset('website/images/theme-img/map.svg')}}"
                                                 alt="">{{ $blogcategory->name }}</a> <span>({{ $blogcategory->blogs_data->count() }})</span>
                                    <li>
                                @empty
                                @endforelse
                            </ul>
                        </div>
                        <div class="widget widget_tag_cloud">
                            <h3 class="widget_title">Popular Tags</h3>
                            <div class="tagcloud">
                                @forelse($randomtags as $randomtag)
                                    <a>{{ $randomtag->tag }}</a>
                                @empty
                                @endforelse
                            </div>
                        </div>
                    </aside>
                </div>
            </div>
        </div>
    </section>
@endsection

@section('script')
    <script src="{{ URL::asset('website/js/vendor/waypoints.js') }}"></script>

@endsection
