@extends('website.layout.master')

@section('title')
    Blog Detail
@endsection

@section('content')

    <div class="breadcumb-wrapper" data-bg-src="{{ URL::asset('website/images/bg/breadcumb-bg.jpg')}}">
        <div class="container">
            <div class="breadcumb-content">
                <h1 class="breadcumb-title">Blog Detail</h1>
                <ul class="breadcumb-menu">
                    <li><a href="{{route('home')}}">Home</a></li>
                    <li>Blog Detail</li>
                </ul>
            </div>
        </div>
    </div>
    <section class="th-blog-wrapper blog-details space-top space-extra-bottom">
        <div class="container">
            <div class="row">
                <div class="col-xxl-8 col-lg-7">
                    <div class="th-blog blog-single">
                        <div class="blog-img">
                            <img src="{{ URL::asset('website/images/blog/blog-s-1-4.jpg')}} " alt="Blog Image">
                        </div>
                        <div class="blog-content">
                            <div class="blog-meta">
                                <a class="author"><i class="fa-light fa-user"></i>by {{ $admin->name }}</a>
                                <a><i class="fa-regular fa-calendar"></i>{{ \Carbon\Carbon::parse($blog->created_at)->format('d M Y') }}
                                </a>
                                <a><img src="{{ URL::asset('website/images/icon/map.svg')}}"
                                        alt="">{{ $blog->category_data->name }}</a>
                            </div>
                            <h2 class="blog-title">{{ $blog->heading }}</h2>

                            {!! $blog->description !!}

                            <div class="share-links clearfix">
                                <div class="row justify-content-between">
                                    <div class="col-md-auto"><span class="share-links-title">Tags:</span>
                                        <div class="tagcloud">
                                            @forelse($blog->blog_tags_data as $tags)
                                                <a>{{ $tags->tag }}</a>
                                            @empty
                                            @endforelse
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xxl-4 col-lg-5">
                    <aside class="sidebar-area">
                        <div class="widget widget_search">
                            <style>
                                input::placeholder {
                                    color: black !important;
                                }
                            </style>
                            <form method="get" action="{{ route('blog') }}" class="MyForm search-form" style="color: black !important;">
                                <input type="text" name="search" placeholder="Search . . . "
                                       value="{{ ($request->search) ? $request->search : ''  }}"
                                       style="color: black !important;">
                                <button type="submit"><i class="far fa-search"></i></button>
                            </form>
                        </div>
                        <div class="widget widget_categories">
                            <h3 class="widget_title">Categories</h3>
                            <ul>
                                @forelse($blogcategories as $blogcategory)
                                    <li>
                                        <a href="{{ route('blog', ['category' => $blogcategory->id]) }}">
                                            <img src="#{{ URL::asset('website/images/theme-img/map.svg')}}"
                                                 alt="">{{ $blogcategory->name }}</a> <span>({{ $blogcategory->blogs_data->count() }})</span>
                                    <li>
                                @empty
                                @endforelse
                            </ul>
                        </div>

                        <div class="widget">
                            <h3 class="widget_title">Recent Posts</h3>
                            <div class="recent-post-wrap">
                                @forelse($randomblogs as $randomblog)
                                    <div class="recent-post">
                                        <div class="media-img">
                                            <a href="{{route('blogdetails',[$randomblog->slug])}}">
                                                <img src="{{URL::asset('admin/assets/uploads/'.$randomblog->image)}}" alt="Blog Image" style="width: 100%;height: 60px"></a>
                                        </div>
                                        <div class="media-body">
                                            <h4 class="post-title"><a class="text-inherit" href="{{route('blogdetails',[$randomblog->slug])}}">{!! Illuminate\Support\Str::limit($blog->heading, 20) !!}</a></h4>
                                            <div class="recent-post-meta"><a href="{{route('blogdetails',[$randomblog->slug])}}"><i
                                                            class="fa-regular fa-calendar"></i>{{ \Carbon\Carbon::parse($randomblog->created_at)->format('d M Y') }}</a></div>
                                        </div>
                                    </div>
                                @empty
                                @endforelse
                            </div>
                        </div>

                        <div class="widget widget_tag_cloud">
                            <h3 class="widget_title">Popular Tags</h3>
                            <div class="tagcloud">
                                @forelse($randomtags as $randomtag)
                                    <a>{{ $randomtag->tag }}</a>
                                @empty
                                @endforelse
                            </div>
                        </div>
                        <div class="widget widget_offer"
                             data-bg-src="{{ URL::asset('website/images/bg/widget_bg_1.jpg')}} ">
                            <div class="offer-banner">
                                <div class="offer">
                                    <h6 class="box-title">Need Help? We Are Here To Help You</h6>
                                    <div class="banner-logo"><img
                                                src="{{ URL::asset('/admin/assets/uploads/'.$setting->logo) }}"
                                                alt="Webtrip"></div>
                                    <div class="offer">
                                        <h6 class="offer-title">You Get Online support</h6>
                                        <a class="offter-num" href="tel:{{ $setting->phone }}">{{ $setting->phone }}</a>
                                    </div>
                                    <a href="{{route('contact')}}" class="th-btn style2 th-icon">Contact Us</a></div>
                            </div>
                        </div>
                    </aside>
                </div>
            </div>
        </div>
        <div class="shape-mockup shape1 d-none d-xxl-block" data-bottom="5%" data-right="8%"><img
                    src="{{ URL::asset('website/images/shape/shape_1.png')}}  " alt="shape"></div>
        <div class="shape-mockup shape2 d-none d-xl-block" data-bottom="1%" data-right="7%"><img
                    src="{{ URL::asset('website/images/shape/shape_2.png')}}" alt="shape"></div>
        <div class="shape-mockup shape3 d-none d-xxl-block" data-bottom="2%" data-right="4%"><img
                    src="{{ URL::asset('website/images/shape/shape_3.png')}}" alt="shape"></div>
    </section>
@endsection

@section('script')
    <script src="{{ URL::asset('website/js/vendor/waypoints.js') }}"></script>

@endsection
