@extends('website.layout.master')

@section('title')
    Contact
@endsection

@section('content')

    <div class="breadcumb-wrapper" data-bg-src="{{ URL::asset('website/images/bg/breadcumb-bg.jpg')}} ">
        <div class="container">
            <div class="breadcumb-content">
                <h1 class="breadcumb-title">Contact Us</h1>
                <ul class="breadcumb-menu">
                    <li><a href="{{route('home')}}">Home</a></li>
                    <li>Contact Us</li>
                </ul>
            </div>
        </div>
    </div>
    <div class="space">
        <div class="container">
            <div class="title-area text-center"><span class="sub-title">Get In Touch</span>
                <h2 class="sec-title">Our Contact Information</h2></div>
            <div class="row gy-4 justify-content-center">
                <div class="col-xl-4 col-lg-6">
                    <div class="about-contact-grid style2">
                        <div class="about-contact-icon"><img
                                    src="{{ URL::asset('website/images/icon/location-dot2.svg')}} " alt=""></div>
                        <div class="about-contact-details">
                            <h6 class="box-title">Our Address</h6>
                            <p class="about-contact-details-text">{{ $system->location }}</p>
                        </div>
                    </div>
                </div>
                <div class="col-xl-4 col-lg-6">
                    <div class="about-contact-grid">
                        <div class="about-contact-icon"><img src="{{ URL::asset('website/images/icon/call.svg')}}"
                                                             alt=""></div>
                        <div class="about-contact-details">
                            <h6 class="box-title">Phone Number</h6>
                            <p class="about-contact-details-text"><a
                                        href="tel:{{ $system->phone }}">{{ $system->phone }}</a></p>
                        </div>
                    </div>
                </div>
                <div class="col-xl-4 col-lg-6">
                    <div class="about-contact-grid">
                        <div class="about-contact-icon"><img src="{{ URL::asset('website/images/icon/mail.svg')}}"
                                                             alt=""></div>
                        <div class="about-contact-details">
                            <h6 class="box-title">Email Address</h6>
                            <p class="about-contact-details-text"><a
                                        href="mailto:{{ $system->email }}">{{ $system->email }}</a></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="space-extra2-top space-extra2-bottom" data-bg-src="{{ URL::asset('website/images/bg/video_bg_1.jpg')}}">
        <div class="container">
            <div class="row flex-row-reverse justify-content-center align-items-center">
                <div class="col-lg-6">
                    <div class="video-box1"><a href="https://www.youtube.com/watch?v=cQfIUPw72Dk"
                                               class="play-btn style2 popup-video"><i
                                    class="fa-sharp fa-solid fa-play"></i></a></div>
                </div>
                <div class="col-lg-6">
                    <div>
                        <form action="{{ route('save_contact_message') }}" method="POST" class="contact-form style2 MyForm">
                            @csrf
                            <h3 class="sec-title mb-30 text-capitalize">Book a tour</h3>
                            <div class="row">
                                <div class="col-12 form-group">
                                    <input type="text" class="form-control" name="name" id="name3" required
                                           placeholder="Name"> <img
                                            src=" {{ URL::asset('website/images/icon/user.svg')}} " alt=""></div>
                                <div class="col-12 form-group">
                                    <input type="email" class="form-control" name="email" id="email3" required
                                           placeholder="Your Mail"> <img
                                            src="{{ URL::asset('website/images/icon/mail.svg')}} " alt=""></div>
                                <div class="col-12 form-group">
                                    <input type="text" class="form-control" name="subject" id="subject" required
                                           placeholder="subject"> <img
                                            src="{{ URL::asset('website/images/icon/plane.svg')}} " alt=""></div>
                                <div class="form-group col-12">
                                    <textarea name="message" required id="message" cols="30" rows="3" class="form-control"
                                              placeholder="Your Message"></textarea> <img
                                            src="{{ URL::asset('website/images/icon/chat.svg')}}" alt=""></div>
                                <div class="form-btn col-12 mt-24">
                                    <button type="submit" class="th-btn style3 MyButton">Send message <img
                                                src="{{ URL::asset('website/images/icon/plane.svg')}} " alt=""></button>
                                </div>
                            </div>
                            <p class="form-messages mb-0 mt-3"></p>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="">
        <div class="container-fluid">
            <div class="contact-map style2">
                <div id="map" style="width:100%;height:500px"></div>
            </div>
        </div>
    </div>

@endsection

@section('script')
    <script src="{{ URL::asset('website/js/vendor/waypoints.js') }}"></script>
    <script src="https://code.jquery.com/jquery-3.7.1.min.js"
            integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyABXn0Dg5Bkbn8UnQFbMaaqbAQBMAsivEc&callback=initMap"
            async defer></script>
    <script>

        function initMap() {

            // Address you want to display on the map
            const address = "{{ $system->location }}";

            // Create a map object centered on a default location
            const map = new google.maps.Map(document.getElementById('map'), {
                zoom: 15,
                center: {lat: -34.397, lng: 150.644} // Default location, will be updated after geocoding
            });

            // Geocode the address
            const geocoder = new google.maps.Geocoder();
            geocodeAddress(geocoder, map, address);
        }

        function geocodeAddress(geocoder, map, address) {
            geocoder.geocode({'address': address}, (results, status) => {
                if (status === 'OK') {
                    map.setCenter(results[0].geometry.location);
                    new google.maps.Marker({
                        map: map,
                        position: results[0].geometry.location
                    });
                } else {
                    alert('Geocode was not successful for the following reason: ' + status);
                }
            });
        }

    </script>
@endsection
