@extends('website.layout.master')

@section('title')
    FAQ's
@endsection

@section('content')

    <div class="breadcumb-wrapper" data-bg-src="{{ URL::asset('website/images/bg/breadcumb-bg.jpg')}}">
        <div class="container">
            <div class="breadcumb-content">
                <h1 class="breadcumb-title">FAQs</h1>
                <ul class="breadcumb-menu">
                    <li><a href="{{route('home')}}">Home</a></li>
                    <li>FAQs</li>
                </ul>
            </div>
        </div>
    </div>
    <div class="space-top space-extra-bottom">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-xl-7">
                    <div class="title-area text-center"><span class="sub-title">FAQ</span>
                        <h2 class="sec-title">frequently Ask Questions</h2>
                        <p>Have questions you want answers to?</p>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-10 offset-lg-1">
                    <div class="accordion-area accordion mb-30" id="faqAccordion">
                        <div class="accordion-card style2 active">
                            <div class="accordion-header" id="collapse-item-1">
                                <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapse-1" aria-expanded="true" aria-controls="collapse-1">Q1. What is WebTrip?</button>
                            </div>
                            <div id="collapse-1" class="accordion-collapse collapse show" aria-labelledby="collapse-item-1" data-bs-parent="#faqAccordion">
                                <div class="accordion-body style2">
                                    <p class="faq-text">WebTrip is a platform that connects travelers with hosts worldwide, allowing travelers to explore new destinations while contributing to the communities they visit.</p>
                                </div>
                            </div>
                        </div>
                        <div class="accordion-card style2">
                            <div class="accordion-header" id="collapse-item-2">
                                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapse-2" aria-expanded="false" aria-controls="collapse-2">Q2. How does WebTrip work?</button>
                            </div>
                            <div id="collapse-2" class="accordion-collapse collapse" aria-labelledby="collapse-item-2" data-bs-parent="#faqAccordion">
                                <div class="accordion-body style2">
                                    <p class="faq-text">Travelers create a profile, browse hosts offering opportunities, and connect with them to arrange a stay in exchange for help or skills.</p>
                                </div>
                            </div>
                        </div>
                        <div class="accordion-card style2">
                            <div class="accordion-header" id="collapse-item-3">
                                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapse-3" aria-expanded="false" aria-controls="collapse-3">Q3. Who can join WebTrip?</button>
                            </div>
                            <div id="collapse-3" class="accordion-collapse collapse" aria-labelledby="collapse-item-3" data-bs-parent="#faqAccordion">
                                <div class="accordion-body style2">
                                    <p class="faq-text">Anyone over the age of 18 who wants to explore the world responsibly and contribute positively to local communities can join.</p>
                                </div>
                            </div>
                        </div>
                        <div class="accordion-card style2">
                            <div class="accordion-header" id="collapse-item-4">
                                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapse-4" aria-expanded="false" aria-controls="collapse-4">Q4. Is WebTrip free to use?</button>
                            </div>
                            <div id="collapse-4" class="accordion-collapse collapse" aria-labelledby="collapse-item-4" data-bs-parent="#faqAccordion">
                                <div class="accordion-body style2">
                                    <p class="faq-text">Creating a profile is free. However, travelers pay a small membership fee for access to hosts and full platform features.</p>
                                </div>
                            </div>
                        </div>
                        <div class="accordion-card style2">
                            <div class="accordion-header" id="collapse-item-5">
                                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapse-5" aria-expanded="false" aria-controls="collapse-5">Q5. What kind of help do hosts usually need?</button>
                            </div>
                            <div id="collapse-5" class="accordion-collapse collapse" aria-labelledby="collapse-item-5" data-bs-parent="#faqAccordion">
                                <div class="accordion-body style2">
                                    <p class="faq-text">Hosts may need help with a variety of tasks, such as teaching, gardening, language exchange, farming, childcare, or creative projects. Each host lists their specific requirements.</p>
                                </div>
                            </div>
                        </div>
                        <div class="accordion-card style2">
                            <div class="accordion-header" id="collapse-item-6">
                                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapse-6" aria-expanded="false" aria-controls="collapse-6">Q6. Are accommodations provided for travelers?</button>
                            </div>
                            <div id="collapse-6" class="accordion-collapse collapse" aria-labelledby="collapse-item-6" data-bs-parent="#faqAccordion">
                                <div class="accordion-body style2">
                                    <p class="faq-text">Yes, most hosts provide free accommodations in exchange for your help. Some may also include meals, but details are always listed in the host's profile.</p>
                                </div>
                            </div>
                        </div>
                        <div class="accordion-card style2">
                            <div class="accordion-header" id="collapse-item-7">
                                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapse-7" aria-expanded="false" aria-controls="collapse-7">Q7. How long can I stay with a host?</button>
                            </div>
                            <div id="collapse-7" class="accordion-collapse collapse" aria-labelledby="collapse-item-7" data-bs-parent="#faqAccordion">
                                <div class="accordion-body style2">
                                    <p class="faq-text">The duration of your stay depends on the agreement you make with the host, ranging from a few days to several months.</p>
                                </div>
                            </div>
                        </div>
                        <div class="accordion-card style2">
                            <div class="accordion-header" id="collapse-item-8">
                                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapse-8" aria-expanded="false" aria-controls="collapse-8">Q8. How can I become a host on WebTrip?</button>
                            </div>
                            <div id="collapse-8" class="accordion-collapse collapse" aria-labelledby="collapse-item-8" data-bs-parent="#faqAccordion">
                                <div class="accordion-body style2">
                                    <p class="faq-text">Simply sign up as a host, create a profile detailing your needs and offerings, and start connecting with travelers.</p>
                                </div>
                            </div>
                        </div>
                        <div class="accordion-card style2">
                            <div class="accordion-header" id="collapse-item-9">
                                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapse-9" aria-expanded="false" aria-controls="collapse-9">Q9. Do hosts need to pay a fee?</button>
                            </div>
                            <div id="collapse-9" class="accordion-collapse collapse" aria-labelledby="collapse-item-9" data-bs-parent="#faqAccordion">
                                <div class="accordion-body style2">
                                    <p class="faq-text">No, it’s not free for hosts to join and create a profile on WebTrip.</p>
                                </div>
                            </div>
                        </div>
                        <div class="accordion-card style2">
                            <div class="accordion-header" id="collapse-item-10">
                                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapse-10" aria-expanded="false" aria-controls="collapse-10">Q10. How does WebTrip ensure safety for users?</button>
                            </div>
                            <div id="collapse-10" class="accordion-collapse collapse" aria-labelledby="collapse-item-10" data-bs-parent="#faqAccordion">
                                <div class="accordion-body style2">
                                    <p class="faq-text">WebTrip encourages users to verify profiles, exchange detailed messages before agreeing to a trip, and leave reviews after each experience to build trust within the community. Always follow our safety tips for a secure experience.</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


@endsection

@section('script')
    <script src="{{ URL::asset('website/js/vendor/waypoints.js') }}"></script>

@endsection
