@extends('website.layout.master')

@section('title')
    {{ __('language.home') }}
@endsection

@section('content')

    <div class="th-hero-wrapper hero-1" id="hero">
        <div class="swiper th-slider hero-slider-1" id="heroSlide1"
             data-slider-options='{"effect":"fade","menu": ["", "", ""],"heroSlide1": {"swiper-container": {"pagination": {"el": ".swiper-pagination", "clickable": true }}}}'>
            <div class="swiper-wrapper">
                <div class="swiper-slide">
                    <div class="hero-inner">
                        <div class="th-hero-bg"
                             data-bg-src="{{ URL::asset('website/images/hero/hero_bg_1_1.jpg')}} "></div>
                        <div class="container">
                            <div class="hero-style1"><span class="sub-title style1" data-ani="slideinup"
                                                           data-ani-delay="0.2s">{{ __('language.slider1_t1') }}</span>
                                <h1 class="hero-title" data-ani="slideinup"
                                    data-ani-delay="0.4s">{{ __('language.slider1_t2') }}</h1>
                                <div class="btn-group" data-ani="slideinup" data-ani-delay="0.6s">
                                    <a href="" class=" th-btn th-icon">{{ __('language.explore_hosts') }}</a>
                                    <a href="{{route('about')}}"
                                       class="th-btn style2 th-icon">{{ __('language.about_us') }}</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="swiper-slide">
                    <div class="hero-inner">
                        <div class="th-hero-bg"
                             data-bg-src="{{ URL::asset('website/images/hero/hero_bg_1_2.jpg')}} "></div>
                        <div class="container">
                            <div class="hero-style1"><span class="sub-title style1" data-ani="slideinup"
                                                           data-ani-delay="0.2s">{{ __('language.slider2_t1') }}</span>
                                <h1 class="hero-title" data-ani="slideinup"
                                    data-ani-delay="0.4s">{{ __('language.slider2_t2') }}</h1>
                                <div class="btn-group" data-ani="slideinup" data-ani-delay="0.6s"><a href="#"
                                                                                                     class="th-btn th-icon">{{ __('language.explore_tours') }}</a>
                                    <a href="#" class="th-btn style2 th-icon">{{ __('language.our_services') }}</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="swiper-slide">
                    <div class="hero-inner">
                        <div class="th-hero-bg"
                             data-bg-src="{{ URL::asset('website/images/hero/hero_bg_1_3.jpg')}}"></div>
                        <div class="container">
                            <div class="hero-style1"><span class="sub-title style1" data-ani="slideinup"
                                                           data-ani-delay="0.2s">{{ __('language.slider3_t1') }}</span>
                                <h1 class="hero-title" data-ani="slideinup"
                                    data-ani-delay="0.4s">{{ __('language.slider3_t2') }}</h1>
                                <div class="btn-group" data-ani="slideinup" data-ani-delay="0.6s"><a href="#"
                                                                                                     class="th-btn th-icon">{{ __('language.explore_tours') }}</a>
                                    <a href="#" class="th-btn style2 th-icon">{{ __('language.our_services') }}</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="th-swiper-custom">
                <button data-slider-prev="#heroSlide1" class="slider-arrow slider-prev"><img
                            src="{{ URL::asset('website/images/icon/right-arrow.svg')}} " alt=""></button>
                <div class="slider-pagination"></div>
                <button data-slider-next="#heroSlide1" class="slider-arrow slider-next"><img
                            src="{{ URL::asset('website/images/icon/left-arrow.svg')}}" alt=""></button>
            </div>
        </div>
    </div>

    <div class="destination-area position-relative overflow-hidden space">
        <div class="container">
            <div class="title-area text-center"><span class="sub-title">{{ __('language.top_destinations') }}</span>
                <h2 class="sec-title">{{ __('language.popular_destination') }}</h2></div>
            <div class="swiper th-slider destination-slider slider-drag-wrap" id="aboutSlider1"
                 data-slider-options='{"breakpoints":{"0":{"slidesPerView":1},"576":{"slidesPerView":"2"},"992":{"slidesPerView":"3"},"1200":{"slidesPerView":"3"}},"effect":"coverflow","coverflowEffect":{"rotate":"0","stretch":"95","depth":"212","modifier":"1"},"centeredSlides":"true"}'>
                <div class="swiper-wrapper">
                    <div class="swiper-slide">
                        <div class="destination-box gsap-cursor">
                            <div class="destination-img"><img
                                        src="{{ URL::asset('website/images/destination/destination_1_1.jpg')}} "
                                        alt="destination image">
                                <div class="destination-content">
                                    <div class="media-left">
                                        <h4 class="box-title"><a href="#">Maldives</a></h4><span
                                                class="destination-subtitle">15 Hosts</span></div>
                                    <div class=""><a href="{{route('hostslist')}}" class="th-btn style2 th-icon">View
                                            All</a></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="destination-box gsap-cursor">
                            <div class="destination-img"><img
                                        src="{{ URL::asset('website/images/destination/destination_1_2.jpg')}}"
                                        alt="destination image">
                                <div class="destination-content">
                                    <div class="media-left">
                                        <h4 class="box-title"><a href="#">Thailand</a></h4><span
                                                class="destination-subtitle">22 Hosts</span></div>
                                    <div class=""><a href="{{route('hostslist')}}" class="th-btn style2 th-icon">View
                                            All</a></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="destination-box gsap-cursor">
                            <div class="destination-img"><img
                                        src="{{ URL::asset('website/images/destination/destination_1_3.jpg')}}"
                                        alt="destination image">
                                <div class="destination-content">
                                    <div class="media-left">
                                        <h4 class="box-title"><a href="#">Belgium</a></h4><span
                                                class="destination-subtitle">25 Hosts</span></div>
                                    <div class=""><a href="{{route('hostslist')}}" class="th-btn style2 th-icon">View
                                            All</a></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="destination-box gsap-cursor">
                            <div class="destination-img"><img
                                        src="{{ URL::asset('website/images/destination/destination_1_4.jpg')}}"
                                        alt="destination image">
                                <div class="destination-content">
                                    <div class="media-left">
                                        <h4 class="box-title"><a href="#">Island</a></h4><span
                                                class="destination-subtitle">28 Hosts</span></div>
                                    <div class=""><a href="{{route('hostslist')}}" class="th-btn style2 th-icon">View
                                            All</a></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="destination-box gsap-cursor">
                            <div class="destination-img"><img
                                        src="{{ URL::asset('website/images/destination/destination_1_5.jpg')}}"
                                        alt="destination image">
                                <div class="destination-content">
                                    <div class="media-left">
                                        <h4 class="box-title"><a href="#">Istanbul</a></h4><span
                                                class="destination-subtitle">30 Hosts</span></div>
                                    <div class=""><a href="{{route('hostslist')}}" class="th-btn style2 th-icon">View
                                            All</a></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="destination-box gsap-cursor">
                            <div class="destination-img"><img
                                        src="{{ URL::asset('website/images/destination/cap.jpg')}}"
                                        alt="destination image">
                                <div class="destination-content">
                                    <div class="media-left">
                                        <h4 class="box-title"><a href="#">Cape Town</a></h4><span
                                                class="destination-subtitle">15 Hosts</span></div>
                                    <div class=""><a href="{{route('hostslist')}}" class="th-btn style2 th-icon">View
                                            All</a></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="destination-box gsap-cursor">
                            <div class="destination-img"><img
                                        src="{{ URL::asset('website/images/destination/lon.jpg')}}"
                                        alt="destination image">
                                <div class="destination-content">
                                    <div class="media-left">
                                        <h4 class="box-title"><a href="#">London</a></h4><span
                                                class="destination-subtitle">22 Hosts</span></div>
                                    <div class=""><a href="{{route('hostslist')}}" class="th-btn style2 th-icon">View
                                            All</a></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="destination-box gsap-cursor">
                            <div class="destination-img"><img
                                        src="{{ URL::asset('website/images/destination/rom.jpg')}}"
                                        alt="destination image">
                                <div class="destination-content">
                                    <div class="media-left">
                                        <h4 class="box-title"><a href="#">Rome</a></h4><span
                                                class="destination-subtitle">25 Hosts</span></div>
                                    <div class=""><a href="{{route('hostslist')}}" class="th-btn style2 th-icon">View
                                            All</a></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="destination-box gsap-cursor">
                            <div class="destination-img"><img
                                        src="{{ URL::asset('website/images/destination/syd.jpg')}}"
                                        alt="destination image">
                                <div class="destination-content">
                                    <div class="media-left">
                                        <h4 class="box-title"><a href="#">Sydney</a></h4><span
                                                class="destination-subtitle">28 Hosts</span></div>
                                    <div class=""><a href="{{route('hostslist')}}" class="th-btn style2 th-icon">View
                                            All</a></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="destination-box gsap-cursor">
                            <div class="destination-img"><img
                                        src="{{ URL::asset('website/images/destination/dub.jpg')}}"
                                        alt="destination image">
                                <div class="destination-content">
                                    <div class="media-left">
                                        <h4 class="box-title"><a href="#">Dubai</a></h4><span
                                                class="destination-subtitle">30 Hosts</span></div>
                                    <div class=""><a href="{{route('hostslist')}}" class="th-btn style2 th-icon">View
                                            All</a></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="about-area position-relative overflow-hidden space" id="about-sec">
        <div class="container">
            <div class="row">
                <div class="col-xl-6">
                    <div class="img-box1">
                        <div class="img1"><img src="{{ URL::asset('website/images/normal/about_1_1.jpg')}}" alt="About">
                        </div>
                        <div class="img2"><img src="{{ URL::asset('website/images/normal/about_1_2.jpg')}} "
                                               alt="About"></div>
                        <div class="img3"><img src="{{ URL::asset('website/images/normal/about_1_3.jpg')}}" alt="About">
                        </div>
                    </div>
                </div>
                <div class="col-xl-6">
                    <div class="ps-xl-4 ms-xl-2">
                        <div class="title-area mb-20 pe-xl-5 me-xl-5"><span
                                    class="sub-title style1">{{ __('language.home_section3_t1') }}</span>
                            <h3 class="sec-title mb-20 pe-xl-5 me-xl-5 heading">{{ __('language.home_section3_t1') }}{{ __('language.home_section3_t2') }}</h3>
                            <p class="sec-text mb-30">{{ __('language.home_section3_t3') }} </p>
                        </div>
                        <div class="about-item-wrap">
                            <div class="about-item">
                                <div class="about-item_img"><img src="{{ URL::asset('website/images/icon/map3.svg')}} "
                                                                 alt=""></div>
                                <div class="about-item_centent">
                                    <h5 class="box-title">{{ __('language.home_section3_t4') }}</h5>
                                    <p class="about-item_text">{{ __('language.home_section3_t5') }}</p>
                                </div>
                            </div>
                            <div class="about-item">
                                <div class="about-item_img"><img src="{{ URL::asset('website/images/icon/guide.svg')}} "
                                                                 alt=""></div>
                                <div class="about-item_centent">
                                    <h5 class="box-title">{{ __('language.home_section3_t6') }}</h5>
                                    <p class="about-item_text">{{ __('language.home_section3_t7') }}</p>
                                </div>
                            </div>
                        </div>
                        <div class="mt-35"><a href="#" class="th-btn style3 th-icon">{{ __('language.learn_more') }}</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="shape-mockup shape1 d-none d-xl-block" data-top="12%" data-left="2%"><img
                    src="{{ URL::asset('website/images/shape/shape_1.png')}}" alt="shape"></div>
        <div class="shape-mockup shape2 d-none d-xl-block" data-top="20%" data-left="3%"><img
                    src="{{ URL::asset('website/images/shape/shape_2.png')}}" alt="shape"></div>
        <div class="shape-mockup shape3 d-none d-xl-block" data-top="14%" data-left="8%"><img
                    src="{{ URL::asset('website/images/shape/shape_3.png')}}" alt="shape"></div>
        <div class="shape-mockup about-shape movingX d-none d-xxl-block" data-bottom="0%" data-right="8%"><img
                    src="{{ URL::asset('website/images/normal/about-slide-img.png')}} " alt="shape"></div>
        <div class="shape-mockup about-rating d-none d-xxl-block" data-bottom="45%" data-right="2%"><i
                    class="fa-sharp fa-solid fa-star"></i><span>4.9k</span></div>
        <div class="shape-mockup about-emoji d-none d-xxl-block" data-bottom="25%" data-right="22%"><img
                    src="{{ URL::asset('website/images/icon/emoji.png')}} " alt=""></div>
    </div>

    <section class="bg-smoke space" data-bg-src="{{ URL::asset('website/images/bg/team_bg_1.png')}} ">
        <div class="container z-index-common">
            <div class="title-area text-center"><span class="sub-title">{{ __('language.meet_with_guide') }}</span>
                <h2 class="sec-title">{{ __('language.connect_with_hosts') }}</h2></div>
            <div class="slider-area">
                <div class="swiper th-slider teamSlider1 has-shadow" id="teamSlider1"
                     data-slider-options='{"breakpoints":{"0":{"slidesPerView":1},"576":{"slidesPerView":"1"},"768":{"slidesPerView":"2"},"992":{"slidesPerView":"3"},"1200":{"slidesPerView":"4"}}}'>
                    <div class="swiper-wrapper">

                        @forelse($hosts as $host)
                            <div class="swiper-slide">
                                <div class="th-team team-box">
                                    <div class="team-img"><img
                                                src="{{ URL::asset('/admin/assets/uploads/'.$host->image) }}"
                                                alt="Team"></div>
                                    <div class="team-content">
                                        <div class="media-body">

                                            <h3 class="box-title"><a
                                                        href="#">{{ ($host->fname) ? $host->fname : '' }} {{ ($host->lname) ? $host->lname : '' }}</a>
                                            </h3>
                                            {{--                                            <div class="col-12">--}}
                                            {{--                                                <div class="offset-md-4 star-rating text-center" role="img"--}}
                                            {{--                                                     aria-label="Rated 5.00 out of 5"><span style="width:100%"></span></div>--}}
                                            {{--                                            </div>--}}
                                            <span class="team-desig mt-2">{{ $host->about_me ? Str::limit($host->about_me, 50) : '' }}</span>
                                            <div class="form-btn col-12 mt-24">
                                                <a href="{{route('listings',[$host->id])}}">
                                                    <button type="submit" class="th-btn style3">Details<img
                                                                src="http://127.0.0.1:8000/website/images/icon/plane.svg "
                                                                alt=""></button>
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @empty
                        @endforelse

                    </div>
                    <div class="slider-pagination"></div>
                </div>
            </div>
        </div>
    </section>

    <div class="gallery-area space">
        <div class="container th-container">
            <div class="title-area text-center"><span
                        class="sub-title">{{ __('language.make_your_tour_more_pleasure') }}</span>
                <h2 class="sec-title">{{ __('language.recent_gallery') }}</h2></div>
            <div class="row gy-10 gx-10 justify-content-center align-items-center">
                <div class="col-md-6 col-lg-2">
                    <div class="gallery-card">
                        <div class="box-img global-img">
                            <a href="{{ URL::asset('website/images/gallery/gallery_1_1.jpg')}} " class="popup-image">
                                <div class="icon-btn"><i class="fal fa-magnifying-glass-plus"></i></div>
                                <img src="{{ URL::asset('website/images/gallery/gallery_1_1.jpg')}}"
                                     alt="gallery image"></a>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 col-lg-2">
                    <div class="gallery-card">
                        <div class="box-img global-img">
                            <a href="{{ URL::asset('website/images/gallery/gallery_1_2.jpg')}}" class="popup-image">
                                <div class="icon-btn"><i class="fal fa-magnifying-glass-plus"></i></div>
                                <img src="{{ URL::asset('website/images/gallery/gallery_1_2.jpg')}}"
                                     alt="gallery image"></a>
                        </div>
                    </div>
                    <div class="gallery-card">
                        <div class="box-img global-img">
                            <a href="{{ URL::asset('website/images/gallery/gallery_1_3.jpg')}}" class="popup-image">
                                <div class="icon-btn"><i class="fal fa-magnifying-glass-plus"></i></div>
                                <img src="{{ URL::asset('website/images/gallery/gallery_1_3.jpg')}}"
                                     alt="gallery image"></a>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 col-lg-2">
                    <div class="gallery-card">
                        <div class="box-img global-img">
                            <a href="{{ URL::asset('website/images/gallery/gallery_1_4.jpg')}}" class="popup-image">
                                <div class="icon-btn"><i class="fal fa-magnifying-glass-plus"></i></div>
                                <img src="{{ URL::asset('website/images/gallery/gallery_1_4.jpg')}}"
                                     alt="gallery image"></a>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 col-lg-2">
                    <div class="gallery-card">
                        <div class="box-img global-img">
                            <a href="{{ URL::asset('website/images/gallery/gallery_1_5.jpg')}}" class="popup-image">
                                <div class="icon-btn"><i class="fal fa-magnifying-glass-plus"></i></div>
                                <img src="{{ URL::asset('website/images/gallery/gallery_1_5.jpg')}}"
                                     alt="gallery image"></a>
                        </div>
                    </div>
                    <div class="gallery-card">
                        <div class="box-img global-img">
                            <a href="{{ URL::asset('website/images/gallery/gallery_1_6.jpg')}}" class="popup-image">
                                <div class="icon-btn"><i class="fal fa-magnifying-glass-plus"></i></div>
                                <img src="{{ URL::asset('website/images/gallery/gallery_1_6.jpg')}}"
                                     alt="gallery image"></a>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 col-lg-2">
                    <div class="gallery-card">
                        <div class="box-img global-img">
                            <a href="{{ URL::asset('website/images/gallery/gallery_1_7.jpg')}}" class="popup-image">
                                <div class="icon-btn"><i class="fal fa-magnifying-glass-plus"></i></div>
                                <img src="{{ URL::asset('website/images/gallery/gallery_1_7.jpg')}}"
                                     alt="gallery image"></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="shape-mockup d-none d-xl-block" data-top="-25%" data-left="0%"><img
                    src="{{ URL::asset('website/images/shape/line.png')}}" alt="shape"></div>
        <div class="shape-mockup movingX d-none d-xl-block" data-top="30%" data-left="3%"><img class="gmovingX"
                                                                                               src="{{ URL::asset('website/images/shape/shape_4.png')}} "
                                                                                               alt="shape"></div>
    </div>

    <div class="bg-smoke counter-area space" data-bg-src="{{ URL::asset('website/images/bg/team_bg_1.png')}} ">
        <div class="container">
            <div class="row">
                <div class="col-sm-6 col-xl-3 counter-card-wrap">
                    <div class="counter-card">
                        <div class="counter-shape"><span></span></div>
                        <div class="media-body">
                            <h3 class="box-number"><span class="counter-number">120</span></h3>
                            <h6 class="counter-title">{{ __('language.happy_travelers') }}</h6></div>
                    </div>
                </div>
                <div class="col-sm-6 col-xl-3 counter-card-wrap">
                    <div class="counter-card">
                        <div class="counter-shape"><span></span></div>
                        <div class="media-body">
                            <h3 class="box-number"><span class="counter-number">20</span></h3>
                            <h6 class="counter-title">{{ __('language.global_hosts') }}</h6></div>
                    </div>
                </div>
                <div class="col-sm-6 col-xl-3 counter-card-wrap">
                    <div class="counter-card">
                        <div class="counter-shape"><span></span></div>
                        <div class="media-body">
                            <h3 class="box-number"><span class="counter-number">10</span></h3>
                            <h6 class="counter-title">{{ __('language.shared_experiences') }}</h6></div>
                    </div>
                </div>
                <div class="col-sm-6 col-xl-3 counter-card-wrap">
                    <div class="counter-card">
                        <div class="counter-shape"><span></span></div>
                        <div class="media-body">
                            <h3 class="box-number"><span class="counter-number">100</span>+</h3>
                            <h6 class="counter-title">{{ __('language.growing_community') }}</h6></div>
                    </div>
                </div>
            </div>
        </div>
        <div class="shape-mockup shape1 d-none d-xl-block" data-top="30%" data-left="2%"><img
                    src="{{ URL::asset('website/images/shape/shape_1.png')}} " alt="shape"></div>
        <div class="shape-mockup shape2 d-none d-xl-block" data-top="45%" data-left="2%"><img
                    src="{{ URL::asset('website/images/shape/shape_2.png')}}" alt="shape"></div>
        <div class="shape-mockup shape3 d-none d-xl-block" data-top="32%" data-left="7%"><img
                    src="{{ URL::asset('website/images/shape/shape_3.png')}}" alt="shape"></div>
        <div class="shape-mockup d-none d-xl-block" data-bottom="0%" data-left="3%"><img
                    src="{{ URL::asset('website/images/shape/shape_6.png')}}" alt="shape"></div>
        <div class="shape-mockup jump d-none d-xl-block" data-top="5%" data-right="5%"><img
                    src="{{ URL::asset('website/images/shape/shape_5.png')}}" alt="shape"></div>
    </div>

    <section class="testi-area overflow-hidden space" id="testi-sec">
        <div class="container-fluid p-0">
            <div class="title-area mb-20 text-center"><span class="sub-title">Testimonial</span>
                <h2 class="sec-title">What Client Say About us</h2></div>
            <div class="slider-area">
                <div class="swiper th-slider testiSlider1 has-shadow" id="testiSlider1"
                     data-slider-options='{"breakpoints":{"0":{"slidesPerView":1},"767":{"slidesPerView":"2","centeredSlides":"true"},"992":{"slidesPerView":"2","centeredSlides":"true"},"1200":{"slidesPerView":"2","centeredSlides":"true"},"1400":{"slidesPerView":"3","centeredSlides":"true"}}}'>
                    <div class="swiper-wrapper">
                        <div class="swiper-slide">
                            <div class="testi-card">
                                <div class="testi-card_wrapper">
                                    <div class="testi-card_profile">
                                        <div class="testi-card_avater"><img
                                                    src="{{ URL::asset('website/images/testimonial/testi_1_1.jpg')}} "
                                                    alt="testimonial"></div>
                                        <div class="media-body">
                                            <h3 class="box-title">Maria Doe</h3><span
                                                    class="testi-card_desig">Traveller</span></div>
                                    </div>
                                    <div class="testi-card_review"><i class="fa-solid fa-star"></i> <i
                                                class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i
                                                class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i></div>
                                </div>
                                <p class="testi-card_text">“WebTrip allowed me to travel to places I never imagined and
                                    give back to the local communities. I gained valuable skills and made lifelong
                                    friends along the way!”</p>
                                <div class="testi-card-quote"><img
                                            src="{{ URL::asset('website/images/icon/testi-quote.svg')}} " alt="img">
                                </div>
                            </div>
                        </div>
                        <div class="swiper-slide">
                            <div class="testi-card">
                                <div class="testi-card_wrapper">
                                    <div class="testi-card_profile">
                                        <div class="testi-card_avater"><img
                                                    src="{{ URL::asset('website/images/testimonial/testi_1_2.jpg')}}"
                                                    alt="testimonial"></div>
                                        <div class="media-body">
                                            <h3 class="box-title">Andrew Simon</h3><span class="testi-card_desig">Traveller</span>
                                        </div>
                                    </div>
                                    <div class="testi-card_review"><i class="fa-solid fa-star"></i> <i
                                                class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i
                                                class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i></div>
                                </div>
                                <p class="testi-card_text">“As a host, I’ve met so many amazing travelers through
                                    WebTrip. They’ve helped with everything from farming to teaching kids, and it’s been
                                    an enriching experience for both of us.”</p>
                                <div class="testi-card-quote"><img
                                            src="{{ URL::asset('website/images/icon/testi-quote.svg')}}" alt="img">
                                </div>
                            </div>
                        </div>
                        <div class="swiper-slide">
                            <div class="testi-card">
                                <div class="testi-card_wrapper">
                                    <div class="testi-card_profile">
                                        <div class="testi-card_avater"><img
                                                    src="{{ URL::asset('website/images/testimonial/testi_1_1.jpg')}}"
                                                    alt="testimonial"></div>
                                        <div class="media-body">
                                            <h3 class="box-title">Alex Jordan</h3><span class="testi-card_desig">Traveller</span>
                                        </div>
                                    </div>
                                    <div class="testi-card_review"><i class="fa-solid fa-star"></i> <i
                                                class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i
                                                class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i></div>
                                </div>
                                <p class="testi-card_text">“I’ve tried many travel platforms, but WebTrip is by far the
                                    best. It’s not just about sightseeing; it’s about creating meaningful connections
                                    and contributing to communities.”</p>
                                <div class="testi-card-quote"><img
                                            src="{{ URL::asset('website/images/icon/testi-quote.svg')}}" alt="img">
                                </div>
                            </div>
                        </div>
                        <div class="swiper-slide">
                            <div class="testi-card">
                                <div class="testi-card_wrapper">
                                    <div class="testi-card_profile">
                                        <div class="testi-card_avater"><img
                                                    src="{{ URL::asset('website/images/testimonial/testi_1_2.jpg')}}"
                                                    alt="testimonial"></div>
                                        <div class="media-body">
                                            <h3 class="box-title">Maria Doe</h3><span
                                                    class="testi-card_desig">Traveller</span></div>
                                    </div>
                                    <div class="testi-card_review"><i class="fa-solid fa-star"></i> <i
                                                class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i
                                                class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i></div>
                                </div>
                                <p class="testi-card_text">WebTrip helped me experience the real heart of the places I
                                    visited. It was about learning, growing, and giving back. Highly recommend it to all
                                    fellow travelers!</p>
                                <div class="testi-card-quote"><img
                                            src="{{ URL::asset('website/images/icon/testi-quote.svg')}}" alt="img">
                                </div>
                            </div>
                        </div>
                        <div class="swiper-slide">
                            <div class="testi-card">
                                <div class="testi-card_wrapper">
                                    <div class="testi-card_profile">
                                        <div class="testi-card_avater"><img
                                                    src="{{ URL::asset('website/images/testimonial/testi_1_1.jpg')}}"
                                                    alt="testimonial"></div>
                                        <div class="media-body">
                                            <h3 class="box-title">Angelina Rose</h3><span class="testi-card_desig">Traveller</span>
                                        </div>
                                    </div>
                                    <div class="testi-card_review"><i class="fa-solid fa-star"></i> <i
                                                class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i
                                                class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i></div>
                                </div>
                                <p class="testi-card_text">"Being a host on WebTrip has been such a rewarding
                                    experience. Travelers bring so much energy and enthusiasm to the places they visit,
                                    and I love seeing how much they learn and contribute."</p>
                                <div class="testi-card-quote"><img
                                            src="{{ URL::asset('website/images/icon/testi-quote.svg')}}" alt="img">
                                </div>
                            </div>
                        </div>
                        <div class="swiper-slide">
                            <div class="testi-card">
                                <div class="testi-card_wrapper">
                                    <div class="testi-card_profile">
                                        <div class="testi-card_avater"><img
                                                    src="{{ URL::asset('website/images/testimonial/testi_1_1.jpg')}}"
                                                    alt="testimonial"></div>
                                        <div class="media-body">
                                            <h3 class="box-title">Maria Doe</h3><span
                                                    class="testi-card_desig">Traveller</span></div>
                                    </div>
                                    <div class="testi-card_review"><i class="fa-solid fa-star"></i> <i
                                                class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i
                                                class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i></div>
                                </div>
                                <p class="testi-card_text">"WebTrip opened doors to unique travel experiences that I
                                    would never have had without the platform. From helping in local schools to farming
                                    in rural villages, it was all so enriching!"</p>
                                <div class="testi-card-quote"><img
                                            src="{{ URL::asset('website/images/icon/testi-quote.svg')}}" alt="img">
                                </div>
                            </div>
                        </div>
                        <div class="swiper-slide">
                            <div class="testi-card">
                                <div class="testi-card_wrapper">
                                    <div class="testi-card_profile">
                                        <div class="testi-card_avater"><img
                                                    src="{{ URL::asset('website/images/testimonial/testi_1_2.jpg')}}"
                                                    alt="testimonial"></div>
                                        <div class="media-body">
                                            <h3 class="box-title">Andrew Simon</h3><span class="testi-card_desig">Traveller</span>
                                        </div>
                                    </div>
                                    <div class="testi-card_review"><i class="fa-solid fa-star"></i> <i
                                                class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i
                                                class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i></div>
                                </div>
                                <p class="testi-card_text">"The connections I’ve made through WebTrip have far exceeded
                                    my expectations. It’s a community that truly cares about meaningful travel and
                                    cultural exchange."</p>
                                <div class="testi-card-quote"><img
                                            src="{{ URL::asset('website/images/icon/testi-quote.svg')}}" alt="img">
                                </div>
                            </div>
                        </div>
                        <div class="swiper-slide">
                            <div class="testi-card">
                                <div class="testi-card_wrapper">
                                    <div class="testi-card_profile">
                                        <div class="testi-card_avater"><img
                                                    src="{{ URL::asset('website/images/testimonial/testi_1_1.jpg')}}"
                                                    alt="testimonial"></div>
                                        <div class="media-body">
                                            <h3 class="box-title">Alex Jordan</h3><span class="testi-card_desig">Traveller</span>
                                        </div>
                                    </div>
                                    <div class="testi-card_review"><i class="fa-solid fa-star"></i> <i
                                                class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i
                                                class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i></div>
                                </div>
                                <p class="testi-card_text">"I feel like I’ve found my travel family through WebTrip. The
                                    hosts are always kind and welcoming, and the travelers I’ve met have shared
                                    incredible stories and skills."</p>
                                <div class="testi-card-quote"><img
                                            src="{{ URL::asset('website/images/icon/testi-quote.svg')}}" alt="img">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="slider-pagination"></div>
                </div>
            </div>
        </div>
        <div class="shape-mockup d-none d-xl-block" data-bottom="-2%" data-right="0%"><img
                    src="{{ URL::asset('website/images/shape/line2.png')}} " alt="shape"></div>
        <div class="shape-mockup movingX d-none d-xl-block" data-top="30%" data-left="5%"><img
                    src="{{ URL::asset('website/images/shape/shape_7.png')}} " alt="shape"></div>
    </section>

    <div class="brand-area overflow-hidden space-bottom">
        <div class="container th-container">
            <div class="swiper th-slider brandSlider1" id="brandSlider1"
                 data-slider-options='{"breakpoints":{"0":{"slidesPerView":1},"576":{"slidesPerView":"2"},"768":{"slidesPerView":"3"},"992":{"slidesPerView":"3"},"1200":{"slidesPerView":"6"},"1400":{"slidesPerView":"8"}}}'>
                <div class="swiper-wrapper">
                    <div class="swiper-slide">
                        <div class="brand-box">
                            <a href="#"><img class="original"
                                             src="{{ URL::asset('website/images/brand/brand_1_1.svg')}} "
                                             alt="Brand Logo"> <img class="gray"
                                                                    src="{{ URL::asset('website/images/brand/brand_1_1.svg')}}"
                                                                    alt="Brand Logo"></a>
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="brand-box">
                            <a href="#"><img class="original"
                                             src="{{ URL::asset('website/images/brand/brand_1_2.svg')}}"
                                             alt="Brand Logo"> <img class="gray"
                                                                    src="{{ URL::asset('website/images/brand/brand_1_2.svg')}}"
                                                                    alt="Brand Logo"></a>
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="brand-box">
                            <a href="#"><img class="original"
                                             src="{{ URL::asset('website/images/brand/brand_1_3.svg')}}"
                                             alt="Brand Logo"> <img class="gray"
                                                                    src="{{ URL::asset('website/images/brand/brand_1_3.svg')}}"
                                                                    alt="Brand Logo"></a>
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="brand-box">
                            <a href="#"><img class="original"
                                             src="{{ URL::asset('website/images/brand/brand_1_4.svg')}}"
                                             alt="Brand Logo"> <img class="gray"
                                                                    src="{{ URL::asset('website/images/brand/brand_1_4.svg')}}"
                                                                    alt="Brand Logo"></a>
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="brand-box">
                            <a href="#"><img class="original"
                                             src="{{ URL::asset('website/images/brand/brand_1_5.svg')}}"
                                             alt="Brand Logo"> <img class="gray"
                                                                    src="{{ URL::asset('website/images/brand/brand_1_5.svg')}}"
                                                                    alt="Brand Logo"></a>
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="brand-box">
                            <a href="#"><img class="original"
                                             src="{{ URL::asset('website/images/brand/brand_1_6.svg')}}"
                                             alt="Brand Logo"> <img class="gray"
                                                                    src="{{ URL::asset('website/images/brand/brand_1_6.svg')}}"
                                                                    alt="Brand Logo"></a>
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="brand-box">
                            <a href="#"><img class="original"
                                             src="{{ URL::asset('website/images/brand/brand_1_7.svg')}}"
                                             alt="Brand Logo"> <img class="gray"
                                                                    src="{{ URL::asset('website/images/brand/brand_1_7.svg')}}"
                                                                    alt="Brand Logo"></a>
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="brand-box">
                            <a href="#"><img class="original"
                                             src="{{ URL::asset('website/images/brand/brand_1_8.svg')}}"
                                             alt="Brand Logo"> <img class="gray"
                                                                    src="{{ URL::asset('website/images/brand/brand_1_8.svg')}}"
                                                                    alt="Brand Logo"></a>
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="brand-box">
                            <a href="#"><img class="original"
                                             src="{{ URL::asset('website/images/brand/brand_1_4.svg')}}"
                                             alt="Brand Logo"> <img class="gray"
                                                                    src="{{ URL::asset('website/images/brand/brand_1_4.svg')}}"
                                                                    alt="Brand Logo"></a>
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="brand-box">
                            <a href="#"><img class="original"
                                             src="{{ URL::asset('website/images/brand/brand_1_3.svg')}}"
                                             alt="Brand Logo"> <img class="gray"
                                                                    src="{{ URL::asset('website/images/brand/brand_1_3.svg')}}"
                                                                    alt="Brand Logo"></a>
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="brand-box">
                            <a href="#"><img class="original"
                                             src="{{ URL::asset('website/images/brand/brand_1_2.svg')}}"
                                             alt="Brand Logo"> <img class="gray"
                                                                    src="{{ URL::asset('website/images/brand/brand_1_2.svg')}}"
                                                                    alt="Brand Logo"></a>
                        </div>
                    </div>
                    <div class="swiper-slide">
                        <div class="brand-box">
                            <a href="#"><img class="original"
                                             src="{{ URL::asset('website/images/brand/brand_1_1.svg')}}"
                                             alt="Brand Logo"> <img class="gray"
                                                                    src="{{ URL::asset('website/images/brand/brand_1_1.svg')}}"
                                                                    alt="Brand Logo"></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <section class="bg-smoke overflow-hidden space" id="blog-sec">
        <div class="container">
            <div class="mb-30 text-center text-md-start">
                <div class="row align-items-center justify-content-between">
                    <div class="col-md-7">
                        <div class="title-area mb-md-0"><span class="sub-title">Latest Blogs</span>
                            <h2 class="sec-title">News & Articles From Webtrip</h2></div>
                    </div>
                    <div class="col-md-auto"><a href="{{ route('blog') }}" class="th-btn style4 th-icon">See More
                            Articles</a></div>
                </div>
            </div>
            <div class="slider-area">
                <div class="swiper th-slider has-shadow" id="blogSlider1"
                     data-slider-options='{"breakpoints":{"0":{"slidesPerView":1},"576":{"slidesPerView":"1"},"768":{"slidesPerView":"2"},"992":{"slidesPerView":"2"},"1200":{"slidesPerView":"3"}}}'>
                    <div class="swiper-wrapper">
                        @forelse($blogs as $blog)

                            <div class="swiper-slide">
                                <div class="blog-box th-ani">
                                    <div class="blog-img global-img"><img
                                                src="{{URL::asset('admin/assets/uploads/'.$blog->image)}} "
                                                style="width:100%;height:250px"
                                                alt="blog image">
                                    </div>
                                    <div class="blog-box_content">
                                        <div class="blog-meta">
                                            <a class="author"
                                               href="{{route('blogdetails',[$blog->slug])}}">{{ \Carbon\Carbon::parse($blog->created_at)->format('d M Y') }}</a>
                                        </div>
                                        <h3 class="box-title">
                                            <a href="{{route('blogdetails',[$blog->slug])}}">{{ $blog->heading }}</a>
                                        </h3>
                                        <a href="{{route('blogdetails',[$blog->slug])}}" class="th-btn style4 th-icon">Read
                                            More</a>
                                    </div>
                                </div>
                            </div>
                        @empty
                            <center>
                                <h2 style="color:red;font-weight: bold">No blogs available.</h2>
                            </center>
                        @endforelse
                    </div>
                </div>
            </div>
        </div>
        <div class="shape-mockup shape1 d-none d-xxl-block" data-bottom="20%" data-left="2%"><img
                    src="{{ URL::asset('website/images/shape/shape_1.png')}} " alt="shape"></div>
        <div class="shape-mockup shape2 d-none d-xl-block" data-bottom="5%" data-left="2%"><img
                    src="{{ URL::asset('website/images/shape/shape_2.png')}} " alt="shape"></div>
        <div class="shape-mockup shape3 d-none d-xxl-block" data-bottom="12%" data-left="7%"><img
                    src="{{ URL::asset('website/images/shape/shape_3.png')}} " alt="shape"></div>
    </section>

@endsection

@section('script')
    <script src="{{ URL::asset('website/js/vendor/waypoints.js') }}"></script>

@endsection
