@extends('website.layout.master')

@section('title')
    Listings
@endsection

@section('content')

    <div class="breadcumb-wrapper" data-bg-src="{{ URL::asset('website/images/bg/breadcumb-bg.jpg')}}">
        <div class="container">
            <div class="breadcumb-content">
                <h1 class="breadcumb-title">Listings</h1>
                <ul class="breadcumb-menu">
                    <li><a href="{{route('home')}}">Home</a></li>
                    <li>Host Tours Listings</li>
                </ul>
            </div>
        </div>
    </div>
    <section class=" space" data-bg-src="{{ URL::asset('website/images/bg/team_bg_1.png')}} ">
        <div class="container z-index-common">
            <div class="title-area text-center">
                <h2 class="sec-title">Host Tours Listings</h2></div>
            <div class="slider-area">
                <div class="row gy-4 gx-30">


                    @forelse($tours as $tour)
                        <div class="col-md-4">
                            <div class="tour-box th-ani shadow h-100">
                                <div class="tour-box_img global-img">
                                    <img src="{{ URL::asset('admin/assets/uploads/'.$tour->image )}}" alt="image" style="width:100%;height:300px">
                                </div>
                                <div class="tour-content">
                                    <h3 class="box-title">
                                        <a href="{{ route('tour_detail',[$tour->slug]) }}"><i class="fa fa-map-marker"
                                                                                              style="font-size:16px;margin-right:5px;"></i>{{ $tour->location }}</a>
                                    </h3>
                                    <h6 style="font-size: 17px"><b>
                                            {{ $tour->heading }}
                                        </b></h6>
                                    <div class="tour-action">
                                        <span><i class="fa-light fa-clock"></i>{{ $tour->duration }} Days</span>
                                        <a href="{{ route('tour_detail',[$tour->slug]) }}" class="th-btn style4">Detail View</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    @empty
                    @endforelse


                </div>

            </div>
        </div>
    </section>
@endsection

@section('script')
    <script src="{{ URL::asset('website/js/vendor/waypoints.js') }}"></script>

@endsection
