@extends('website.layout.master')

@section('title')
    Privacy
@endsection

@section('content')

<style>
    .sec-textt{
        text-align: left;
    }
</style>

    <div class="breadcumb-wrapper" data-bg-src="{{ URL::asset('website/images/bg/breadcumb-bg.jpg')}}">
        <div class="container">
            <div class="breadcumb-content">
                <h1 class="breadcumb-title">Privacy Policy</h1>
                <ul class="breadcumb-menu">
                    <li><a href="{{route('home')}}">Home</a></li>
                    <li>Privacy Policy</li>
                </ul>
            </div>
        </div>
    </div>
    <div class="space">
            <div class="row justify-content-center">
                <div class="col-lg-8">
                    <div class="title-area text-center pe-xl-4 ps-xl-4">
                        <span class="sub-title">Your Data, Our Commitment to Safety</span>
                        <h2 class="sec-title mb-20">Privacy Policy</h2>
                        <p class="sec-textt">
                            At WebTrip, we are dedicated to protecting your personal information and ensuring your privacy. This Privacy Policy explains how we collect, use, and safeguard your data when you use our platform. By accessing our website, you agree to the terms outlined below.
                        </p>
                        <p class="sec-textt"><strong>1. Data We Collect</strong></p>
                        <p class="sec-textt">
                            - Information you provide during registration, such as your name, email, and profile details.<br>
                            - Usage data, such as your interactions with the website, to improve your experience.<br>
                            - Technical data like IP addresses and browser type for security purposes.
                        </p>
                        <p class="sec-textt"><strong>2. How We Use Your Data</strong></p>
                        <p class="sec-textt">
                            - To connect travelers and hosts through our platform.<br>
                            - To communicate updates and important information.<br>
                            - To enhance platform security and user experience.
                        </p>
                        <p class="sec-textt"><strong>3. Data Sharing</strong></p>
                        <p class="sec-textt">
                            - We do not sell your personal information.<br>
                            - Data may be shared with trusted third-party services necessary for platform functionality.<br>
                            - Information may be disclosed if required by law.
                        </p>
                        <p class="sec-textt"><strong>4. Your Privacy Rights</strong></p>
                        <p class="sec-textt">
                            - You can request access to your data or request its deletion.<br>
                            - Manage your preferences for communication and data use.
                        </p>
                        <p class="sec-textt"><strong>5. Data Security</strong></p>
                        <p class="sec-textt">
                            - We implement robust security measures to protect your data.<br>
                            - Regularly reviewing and updating our security practices.
                        </p>
                        <p class="sec-textt">
                            For more information, please contact us at privacy@webtrip.com. Your trust matters to us, and we are committed to safeguarding your privacy.
                        </p>
                    </div>
                </div>
            </div>

    </div>

@endsection

@section('script')
    <script src="{{ URL::asset('website/js/vendor/waypoints.js') }}"></script>

@endsection
