@extends('website.layout.master')

@section('title')
    Forget Password
@endsection

@section('content')

    <div class="breadcumb-wrapper" data-bg-src="{{ URL::asset('website/images/bg/breadcumb-bg.jpg')}}">
        <div class="container">
            <div class="breadcumb-content">
                <h1 class="breadcumb-title">Reset Password</h1>
                <ul class="breadcumb-menu">
                    <li><a href="{{route('home')}}">Home</a></li>
                    <li>Reset Password</li>
                </ul>
            </div>
        </div>
    </div>
    <section class="space">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-6">
                    <div class="th-account-form">
                        @include('website.layout.laravel_errors')
                        <form class="MyForm" method="post" action="{{ route('saveresetnewpassword') }}">
                            @csrf
                            <input type="hidden" name="id" value="{{ $email }}">
                            <h3 class="text-center mt-n2 mb-30">Reset password</h3>
                            <div class="row">
                                <div class="form-group col-12">
                                    <label class="textt" for="new_password">Password</label>
                                    <input type="password" class="form-control" name="password" id="new_password"
                                           placeholder="********" required minlength="8" value="{{ old('password') }}">
                                </div>
                                <div class="form-group col-12">
                                    <label class="textt" for="new_password_confirm1">Confirm Password</label>
                                    <input type="password" class="form-control" name="password_confirmation"
                                           placeholder="********" required minlength="8"
                                           value="{{ old('password_confirmation') }}">
                                </div>
                                <div class="form-btn col-12">
                                    <button class="th-btn btn-fw th-radius2 MyButton">Save New Passwords</button>
                                </div>
                            </div>
                            <p class="form-messages mb-0 mt-3"></p>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>

@endsection

@section('script')
    <script src="{{ URL::asset('website/js/vendor/waypoints.js') }}"></script>

@endsection
