@extends('website.layout.master')

@section('title')
    Subscriptions
@endsection

@section('content')

    <div class="breadcumb-wrapper" data-bg-src="{{ URL::asset('website/images/bg/breadcumb-bg.jpg')}} ">
        <div class="container">
            <div class="breadcumb-content">
                <h1 class="breadcumb-title">Subscriptions</h1>
                <ul class="breadcumb-menu">
                    <li><a href="{{route('home')}}">Home</a></li>
                    <li>Subscriptions</li>
                </ul>
            </div>
        </div>
    </div>

    <section class="position-relative space">
        <div class="container">
            <div class="title-area text-center"><span class="sub-title">Let’s Checkin</span>
                <h2 class="sec-title">Affordable Pricing plans</h2></div>
            <div class="row gy-4 justify-content-center">

                @forelse($subscriptions as $s=>$subscription)

                    <div class="col-xl-4 col-md-6">
                        <div class="price-card active h-100">
                            @if($s==1)
                                <div class="offer-tag">Popular</div>
                            @endif
                            <div class="price-card_wrapp">
                                <div class="price-card_icon"><img
                                            src="{{ URL::asset('website/images/icon/price_1_2.svg')}} " alt="img"></div>
                                <h3 class="box-title">{{ $subscription->heading }}</h3></div>
                            <div class="price-card_content">
                                <h4 class="price-card_price">{{ $setting->currency_symbol }}{{ $subscription->price }}
                                    <span class="duration">/ {{ $subscription->days }} Days</span></h4>
                                <p class="price-card_text">{{ $subscription->description }}</p>
                                <div class="checklist">
                                    <ul>
                                        @forelse($subscription->detail as $detail)
                                            <li>{{ $detail->detail }}</li>
                                        @empty
                                        @endforelse
                                    </ul>
                                </div>
                            </div>
                                <form action="{{ route('user.purchase_subscription') }}" method="post" class="MyForm">
                                    @csrf
                                    <input type="hidden" name="subscriptionid" value="{{ $subscription->id }}">
                                    <div class="price-btn">
                                        <Button class="th-btn style3 w-100 MyButton">Get Started</Button>
                                    </div>
                                </form>
                        </div>
                    </div>

                @empty
                @endforelse

            </div>
        </div>
        <div class="shape-mockup movingX d-none d-xxl-block" data-bottom="0%" data-right="3%">
            <img class="gmovingX" src="{{ URL::asset('website/images/normal/about-slide-img.png')}}  " alt="shape">
        </div>
        <div class="shape-mockup d-none d-xl-block" data-bottom="0%" data-left="3%"><img
                    src="{{ URL::asset('website/images/shape/shape_6.png')}}" alt="shape"></div>
        <div class="shape-mockup jump d-none d-xl-block" data-top="15%" data-left="6%"><img
                    src="{{ URL::asset('website/images/shape/shape_2_2.png')}}" alt="shape"></div>
    </section>

@endsection

@section('script')
    <script src="{{ URL::asset('website/js/vendor/waypoints.js') }}"></script>

@endsection
