@extends('website.layout.master')

@section('title')
    Terms
@endsection

@section('content')

    <style>
        .sec-textt{
            text-align: left;
        }
    </style>

    <div class="breadcumb-wrapper" data-bg-src="{{ URL::asset('website/images/bg/breadcumb-bg.jpg')}}">
        <div class="container">
            <div class="breadcumb-content">
                <h1 class="breadcumb-title">Terms & Conditions</h1>
                <ul class="breadcumb-menu">
                    <li><a href="{{route('home')}}">Home</a></li>
                    <li>Terms & Conditions</li>
                </ul>
            </div>
        </div>
    </div>
    <div class="space">
        <div class="row justify-content-center">
            <div class="col-lg-8">
                <div class="title-area text-center pe-xl-4 ps-xl-4">
                    <span class="sub-title">Your Journey, Our Responsibility</span>
                    <h2 class="sec-title mb-20">Terms & Conditions</h2>
                    <p class="sec-textt">
                        Welcome to WebTrip! By accessing or using our platform, you agree to the terms outlined in this document. These Terms & Conditions govern your use of our website, services, and platform. Please read them carefully.
                    </p>

                    <p class="sec-textt"><strong>1. Acceptance of Terms</strong></p>
                    <p class="sec-textt">
                        By accessing or using WebTrip, you agree to be bound by these Terms & Conditions. If you do not agree to these terms, you must not use our platform.
                    </p>

                    <p class="sec-textt"><strong>2. User Responsibilities</strong></p>
                    <p class="sec-textt">
                        - You are responsible for maintaining the confidentiality of your account information.<br>
                        - You agree to use the platform responsibly, including complying with all applicable laws and respecting other users.
                    </p>

                    <p class="sec-textt"><strong>3. Membership</strong></p>
                    <p class="sec-textt">
                        - You must be at least 18 years old to join WebTrip.<br>
                        - You agree to provide accurate, up-to-date, and complete information during registration.
                    </p>

                    <p class="sec-textt"><strong>4. Connecting with Hosts and Travelers</strong></p>
                    <p class="sec-textt">
                        - WebTrip facilitates the connection between travelers and hosts.<br>
                        - You are solely responsible for any arrangements, agreements, and exchanges made with other users on the platform.
                    </p>

                    <p class="sec-textt"><strong>5. Payment and Fees</strong></p>
                    <p class="sec-textt">
                        - Travelers may be required to pay a membership fee to access certain features on WebTrip.<br>
                        - All payments made through the platform must be processed through our approved payment systems.
                    </p>

                    <p class="sec-textt"><strong>6. Termination and Suspension</strong></p>
                    <p class="sec-textt">
                        - We reserve the right to suspend or terminate your account if you violate these Terms & Conditions.<br>
                        - You may terminate your account at any time by contacting us at support@webtrip.com.
                    </p>

                    <p class="sec-textt"><strong>7. Limitation of Liability</strong></p>
                    <p class="sec-textt">
                        - WebTrip is not responsible for any damages or losses resulting from your use of the platform.<br>
                        - We do not guarantee the accuracy of information provided by users and cannot be held liable for interactions between travelers and hosts.
                    </p>

                    <p class="sec-textt"><strong>8. Privacy and Data Protection</strong></p>
                    <p class="sec-textt">
                        - Your use of WebTrip is governed by our Privacy Policy, which outlines how your data is collected and used.<br>
                        - By using WebTrip, you consent to the collection and use of your personal information as described in our Privacy Policy.
                    </p>

                    <p class="sec-textt"><strong>9. Governing Law</strong></p>
                    <p class="sec-textt">
                        - These Terms & Conditions are governed by the laws of the jurisdiction in which WebTrip operates. Any disputes will be resolved in the relevant courts.
                    </p>

                    <p class="sec-textt"><strong>10. Changes to Terms</strong></p>
                    <p class="sec-textt">
                        - WebTrip reserves the right to update or modify these Terms & Conditions at any time. All changes will be posted on this page, and it is your responsibility to review them regularly.
                    </p>

                    <p class="sec-textt">
                        If you have any questions or concerns about these Terms & Conditions, please contact us at support@webtrip.com.
                    </p>
                </div>

            </div>
        </div>

    </div>


@endsection

@section('script')
    <script src="{{ URL::asset('website/js/vendor/waypoints.js') }}"></script>

@endsection
