@extends('website.layout.master')

@section('title')
    Host Details
@endsection

@section('content')

    <div class="breadcumb-wrapper" data-bg-src="{{ URL::asset('website/images/bg/breadcumb-bg.jpg')}}">
        <div class="container">
            <div class="breadcumb-content">
                <h1 class="breadcumb-title">Tour Details</h1>
                <ul class="breadcumb-menu">
                    <li><a href="{{route('home')}}">Home</a></li>
                    <li>Tour Details</li>
                </ul>
            </div>
        </div>
    </div>
    <section class="space">
        <div class="container">
            <div class="team-details">
                <div class="row gy-5 mb-3 mb-xl-5 pb-xl-4">
                    <div class="col-xl-4">
                        <div class="th-team team-grid mb-30">
                            <div class="team-img"><img src="{{ URL::asset('website/images/team/team_img_3.jpg')}} "
                                                       alt="Team"></div>
                            <div class="team-img2">
                                <img src="{{ URL::asset('/admin/assets/uploads/'.$tour->user->image) }}" alt="Team">
                            </div>
                            <div class="team-content">
                                <div class="media-body">
                                    <h3 class="box-title"><a
                                                href="#">{{ ($tour->user->fname) ? $tour->user->fname : '' }} {{ ($tour->user->lname) ? $tour->user->lname : '' }}</a>
                                    </h3>
                                    {{--                                    <div class="col-12">--}}
                                    {{--                                        <div class="offset-md-4 star-rating text-center" role="img"--}}
                                    {{--                                             aria-label="Rated 5.00 out of 5"><span style="width:100%"></span></div>--}}
                                    {{--                                    </div>--}}
                                    <span class="team-desig">{{ $tour->user->about_me ? Str::limit($tour->user->about_me, 100) : '' }}</span>
                                    <div class="form-btn col-12 mt-24">
                                        <a href="{{route('user.chat')}}">
                                            <button type="submit" class="th-btn style3">Message<img
                                                        src="http://127.0.0.1:8000/website/images/icon/plane.svg "
                                                        alt=""></button>
                                            <a href="{{route('listings',[$tour->userid])}}">
                                                <span class="team-desig" style="margin-top: 10px;cursor: pointer;"><u>View all Listings</u></span>
                                            </a>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="widget widget_categories mb-30">
                            <h3 class="widget_title">Profile Information</h3>
                            <ul>
                                <li>
                                    <a>Host is looking for help immediately</a>
                                <li>
                                    <a>Name</a>
                                    <span>{{ ($tour->user->fname) ? $tour->user->fname : '' }} {{ ($tour->user->lname) ? $tour->user->lname : '' }}</span>
                                </li>
                                <li>
                                    <a>Registered At</a>
                                    <span>{{ ($tour->user->created_at) ? Carbon\Carbon::parse($tour->user->created_at)->format('d M Y') : '' }}</span>
                                </li>
                                <li>
                                    <a>Total Tours</a>
                                    <span>{{ ($tour->user->tours) ? $tour->user->tours()->count() : '' }}</span></li>
                                <li>
                                    <a>Email verified</a> <span>Yes</span></li>
                            </ul>
                        </div>
                        <div class="widget widget_categories mb-30">
                            <h3 class="widget_title">Badges</h3>
                            <ul>
                                <li>
                                    <a>No Badge yet</a>
                                </li>
                            </ul>
                        </div>
                        <div class="row">
                            <div class="widget"><h3 class="widget_title">Recent Posts</h3>
                                <div class="recent-post-wrap">
                                    @forelse($relatedtours as $relatedtour)
                                        <div class="recent-post">
                                            <div class="media-img">
                                                <a href="{{ route('tour_detail',[$relatedtour->slug]) }}">
                                                    <img src="{{ URL::asset('admin/assets/uploads/'.$relatedtour->image )}}" alt="Blog Image">
                                                </a>
                                            </div>
                                            <div class="media-body">
                                                <div class="recent-post-meta">
                                                    <a href="{{ route('tour_detail',[$relatedtour->slug]) }}"><i class="far fa-calendar"></i>{{ Carbon\Carbon::parse($relatedtour->created_at)->format('d m, Y') }}</a>
                                                </div>
                                                <h4 class="post-title">
                                                    <a class="text-inherit" href="{{ route('tour_detail',[$relatedtour->slug]) }}">{{ $relatedtour->heading ? Str::limit($relatedtour->heading,50) : '' }}</a>
                                                </h4>
                                            </div>
                                        </div>
                                    @empty
                                    @endforelse
                                </div>
                            </div>
                            <div class="widget widget_offer"
                                 data-bg-src="{{ URL::asset('website/images/bg/widget_bg_1.jpg')}} ">
                                <div class="offer-banner">
                                    <div class="offer">
                                        <h6 class="box-title">Need Help? We Are Here To Help You</h6>
                                        <div class="banner-logo"><img
                                                    src="{{ URL::asset('/admin/assets/uploads/'.$setting->logo) }}"
                                                    alt="Webtrip"></div>
                                        <div class="offer">
                                            <h6 class="offer-title">You Get Online support</h6>
                                            <a class="offter-num"
                                               href="tel:{{ $setting->phone }}">{{ $setting->phone }}</a>
                                        </div>
                                        <a href="{{route('contact')}}" class="th-btn style2 th-icon">Contact Us</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-8 ps-3 ps-xl-5 pe-xl-4">
                        <div class="team-about">
                            <div class="slider-area tour-slider1 mb-25">
                                <div class="swiper th-slider mb-4" id="tourSlider4"
                                     data-slider-options='{"effect":"fade","loop":true,"thumbs":{"swiper":".tour-thumb-slider"},"autoplayDisableOnInteraction":"true"}'>
                                    <div class="swiper-wrapper">

                                        <div class="swiper-slide">
                                            <div class="tour-slider-img">
                                                <img src="{{ URL::asset('admin/assets/uploads/'.$tour->image )}}"
                                                     alt="img" style="width: 100%;height: 600px !important;">
                                            </div>
                                        </div>

                                        @forelse($tour->images as $t=>$img)
                                            <div class="swiper-slide">
                                                <div class="tour-slider-img">
                                                    <img src="{{ URL::asset('admin/assets/uploads/'.$img->image )}}"
                                                         alt="img" style="width: 100%;height: 600px !important;">
                                                </div>
                                            </div>
                                        @empty
                                        @endforelse
                                    </div>
                                </div>
                                <div class="swiper th-slider tour-thumb-slider"
                                     data-slider-options='{"effect":"slide","loop":true,"breakpoints":{"0":{"slidesPerView":2},"576":{"slidesPerView":"2"},"768":{"slidesPerView":"3"},"992":{"slidesPerView":"3"},"1200":{"slidesPerView":"3"}},"autoplayDisableOnInteraction":"true"}'>
                                    <div class="swiper-wrapper">

                                        <div class="swiper-slide">
                                            <div class="tour-slider-img">
                                                <img src="{{ URL::asset('admin/assets/uploads/'.$tour->image )}}"
                                                     alt="Image" style="width: 100%;height: 180px !important;">
                                            </div>
                                        </div>

                                        @forelse($tour->images as $t=>$img)
                                            <div class="swiper-slide">
                                                <div class="tour-slider-img">
                                                    <img src="{{ URL::asset('admin/assets/uploads/'.$img->image )}}"
                                                         alt="Image" style="width: 100%;height: 180px !important;">
                                                </div>
                                            </div>
                                        @empty
                                        @endforelse

                                    </div>
                                </div>
                                <button data-slider-prev="#tourSlider4" class="slider-arrow style3 slider-prev"><img
                                            src="{{ URL::asset('website/images/icon/hero-arrow-left.svg')}} " alt="">
                                </button>
                                <button data-slider-next="#tourSlider4" class="slider-arrow style3 slider-next"><img
                                            src="{{ URL::asset('website/images/icon/hero-arrow-right.svg')}}" alt="">
                                </button>
                            </div>
                            <h6><i class="fa fa-map-marker"
                                   style="font-size:16px;margin-right:5px;"></i> {{ $tour->location }}</h6>
                            <h3 class="team-about_title" style="font-size: 30px"><b>{{ $tour->heading }}</b></h3>
                            {!! $tour->description !!}
                        </div>
                    </div>
                </div>
                <h3 class="page-title mt-45 mb-30">Activity Location</h3>
                <div class="row gy-4 justify-content-center">
                    <div class="location-map">

                        <div class="contact-map">
                            {{--                            <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3644.7310056272386!2d89.2286059153658!3d24.00527418490799!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x39fe9b97badc6151%3A0x30b048c9fb2129bc!2sAngfuztheme!5e0!3m2!1sen!2sbd!4v1651028958211!5m2!1sen!2sbd"--}}
                            {{--                                    allowfullscreen="" loading="lazy"></iframe>--}}
                            {{--                            <div class="contact-icon"><img src="assets/img/icon/location-dot3.svg" alt=""></div>--}}
                            <div id="map" style="width:100%;height:500px"></div>
                        </div>
                    </div>

                </div>
                {{--                <div class="th-comments-wrap style2">--}}
                {{--                    <h2 class="blog-inner-title h4">Reviews (3)</h2>--}}
                {{--                    <ul class="comment-list">--}}
                {{--                        <li class="th-comment-item">--}}
                {{--                            <div class="th-post-comment">--}}
                {{--                                <div class="comment-avater"><img--}}
                {{--                                            src="{{ URL::asset('website/images/blog/comment-author-1.jpg')}}"--}}
                {{--                                            alt="Comment Author"></div>--}}
                {{--                                <div class="comment-content">--}}
                {{--                                    <h3 class="name">Adam Jhon</h3>--}}
                {{--                                    <div class="commented-wrapp"><span class="commented-on">20 Jun, 2024</span> <span--}}
                {{--                                                class="commented-time">08:56pm </span><span class="comment-review"><i--}}
                {{--                                                    class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i--}}
                {{--                                                    class="fa-solid fa-star"></i> <i class="fa-solid fa-star"></i> <i--}}
                {{--                                                    class="fa-solid fa-star"></i></span></div>--}}
                {{--                                    <p class="text">Credibly pontificate transparent quality vectors with quality--}}
                {{--                                        mindshare. Efficiently architect worldwide strategic theme areas after user.</p>--}}
                {{--                                    <div class="reply_and_edit"><i class="fa-solid fa-thumbs-up"></i></div>--}}
                {{--                                </div>--}}
                {{--                            </div>--}}
                {{--                            <ul class="children">--}}
                {{--                                <li class="th-comment-item">--}}
                {{--                                    <div class="th-post-comment">--}}
                {{--                                        <div class="comment-avater"><img--}}
                {{--                                                    src="{{ URL::asset('website/images/blog/comment-author-4.jpg')}}"--}}
                {{--                                                    alt="Comment Author"></div>--}}
                {{--                                        <div class="comment-content">--}}
                {{--                                            <div class="">--}}
                {{--                                                <h3 class="name">Maria Willson</h3>--}}
                {{--                                                <div class="commented-wrapp"><span--}}
                {{--                                                            class="commented-on">23 Jun, 2024</span> <span--}}
                {{--                                                            class="commented-time">08:56pm </span><span--}}
                {{--                                                            class="comment-review"><i class="fa-solid fa-star"></i> <i--}}
                {{--                                                                class="fa-solid fa-star"></i> <i--}}
                {{--                                                                class="fa-solid fa-star"></i> <i--}}
                {{--                                                                class="fa-solid fa-star"></i> <i--}}
                {{--                                                                class="fa-solid fa-star"></i></span></div>--}}
                {{--                                            </div>--}}
                {{--                                            <p class="text">It is different from airport transfer or port transfer,--}}
                {{--                                                which are services that pick you up</p>--}}
                {{--                                            <div class="reply_and_edit"><i class="fa-solid fa-thumbs-up"></i></div>--}}
                {{--                                        </div>--}}
                {{--                                    </div>--}}
                {{--                                </li>--}}
                {{--                            </ul>--}}
                {{--                        </li>--}}
                {{--                        <li class="th-comment-item">--}}
                {{--                            <div class="th-post-comment">--}}
                {{--                                <div class="comment-avater"><img--}}
                {{--                                            src="https://www.ihna.edu.au/blog/wp-content/uploads/2022/10/user-dummy.png"--}}
                {{--                                            alt="Comment Author"></div>--}}
                {{--                                <div class="comment-content">--}}
                {{--                                    <div class="">--}}
                {{--                                        <h3 class="name">Michel Edwards</h3>--}}
                {{--                                        <div class="commented-wrapp"><span class="commented-on">27 Jun, 2024</span>--}}
                {{--                                            <span class="commented-time">08:56pm </span><span class="comment-review"><i--}}
                {{--                                                        class="fa-solid fa-star"></i> <i--}}
                {{--                                                        class="fa-solid fa-star"></i> <i--}}
                {{--                                                        class="fa-solid fa-star"></i> <i--}}
                {{--                                                        class="fa-solid fa-star"></i> <i--}}
                {{--                                                        class="fa-solid fa-star"></i></span></div>--}}
                {{--                                    </div>--}}
                {{--                                    <p class="text">Credibly pontificate transparent quality vectors with quality--}}
                {{--                                        mindshare. Efficiently architect worldwide strategic theme areas after user.</p>--}}
                {{--                                    <div class="reply_and_edit"><i class="fa-solid fa-thumbs-up"></i></div>--}}
                {{--                                </div>--}}
                {{--                            </div>--}}
                {{--                        </li>--}}
                {{--                    </ul>--}}
                {{--                </div>--}}
                {{--                <div class="th-comment-form">--}}
                {{--                    <div class="row">--}}
                {{--                        <h3 class="blog-inner-title h4 mb-2">Leave a Reply</h3>--}}
                {{--                        <p class="mb-25">Your email address will not be published. Required fields are marked</p>--}}
                {{--                        <div class="col-md-6 form-group">--}}
                {{--                            <input type="text" placeholder="Full Name*" class="form-control" required> <i--}}
                {{--                                    class="far fa-user"></i></div>--}}
                {{--                        <div class="col-md-6 form-group">--}}
                {{--                            <input type="text" placeholder="Your Email*" class="form-control" required> <i--}}
                {{--                                    class="far fa-envelope"></i></div>--}}
                {{--                        --}}{{--                        <div class="col-12 form-group">--}}
                {{--                        --}}{{--                            <input type="text" placeholder="Website" class="form-control" required> <i--}}
                {{--                        --}}{{--                                    class="far fa-globe"></i></div>--}}
                {{--                        <div class="col-12 form-group">--}}
                {{--                            <textarea placeholder="Comment*" class="form-control"></textarea> <i--}}
                {{--                                    class="far fa-pencil"></i></div>--}}
                {{--                        <div class="col-12 form-group mb-0">--}}
                {{--                            <button class="th-btn">Send Message<img--}}
                {{--                                        src="{{ URL::asset('website/images/icon/plane2.svg')}}" alt=""></button>--}}
                {{--                        </div>--}}
                {{--                    </div>--}}
                {{--                </div>--}}
            </div>
        </div>
    </section>
@endsection
@section('script')
    <script src="{{ URL::asset('website/js/vendor/waypoints.js') }}"></script>
    <script src="https://code.jquery.com/jquery-3.7.1.min.js"
            integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyABXn0Dg5Bkbn8UnQFbMaaqbAQBMAsivEc&callback=initMap"
            async defer></script>
    <script>

        function initMap() {

            // Address you want to display on the map
            const address = "{{ $tour->location }}";

            // Create a map object centered on a default location
            const map = new google.maps.Map(document.getElementById('map'), {
                zoom: 15,
                center: {lat: -34.397, lng: 150.644} // Default location, will be updated after geocoding
            });

            // Geocode the address
            const geocoder = new google.maps.Geocoder();
            geocodeAddress(geocoder, map, address);
        }

        function geocodeAddress(geocoder, map, address) {
            geocoder.geocode({'address': address}, (results, status) => {
                if (status === 'OK') {
                    map.setCenter(results[0].geometry.location);
                    new google.maps.Marker({
                        map: map,
                        position: results[0].geometry.location
                    });
                } else {
                    alert('Geocode was not successful for the following reason: ' + status);
                }
            });
        }

    </script>
@endsection
