@extends('website.layout.master')

@section('title')
    Hosts
@endsection

@section('content')

    <div class="breadcumb-wrapper" data-bg-src="{{ URL::asset('website/images/bg/breadcumb-bg.jpg')}}">
        <div class="container">
            <div class="breadcumb-content">
                <h1 class="breadcumb-title">Volunteer, Work and Travel</h1>
                <ul class="breadcumb-menu">
                    <li><a href="{{route('home')}}">Home</a></li>
                    <li>{{ $category->name }}</li>
                </ul>
            </div>
        </div>
    </div>

    <section class=" space" data-bg-src="{{ URL::asset('website/images/bg/team_bg_1.png')}} ">
        <div class="container z-index-common">
            <div class="title-area text-center"><span class="sub-title">Meet with Guide</span>
                <h2 class="sec-title">Choose from opportunities</h2></div>

            <div class="row mb-4">
                <div class="col-md-4"></div>
                <div class="col-md-4">
                    <div class="search-form-area">
                        <form class="search-form" method="get" action=""><input type="text" placeholder="Search" name="search" value="{{ ($request->search) ? $request->search : '' }}">
                            <button type="submit"><i class="fa-light fa-magnifying-glass"></i></button>
                        </form>
                    </div>
                </div>
                <div class="col-md-4"></div>
            </div>

            <div class="slider-area">
                <div class="row gy-4 gx-30">

                    @forelse($tours as $tour)
                        <div class="col-md-4">
                            <div class="tour-box th-ani shadow h-100">
                                <div class="tour-box_img global-img">
                                    <img src="{{ URL::asset('admin/assets/uploads/'.$tour->image )}}" alt="image"
                                         style="width:100%;height:300px">
                                </div>
                                <div class="tour-content">
                                    <h3 class="box-title">
                                        <a href="{{ route('tour_detail',[$tour->slug]) }}"><i class="fa fa-map-marker"
                                                                                              style="font-size:16px;margin-right:5px;"></i>{{ $tour->location }}
                                        </a>
                                    </h3>
                                    <h6 style="font-size: 17px"><b>
                                            {{ $tour->heading }}
                                        </b></h6>
                                    <div class="tour-action">
                                        <span><i class="fa-light fa-clock"></i>{{ $tour->duration }} Days</span>
                                        <a href="{{ route('tour_detail',[$tour->slug]) }}" class="th-btn style4">Detail
                                            View</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    @empty
                    @endforelse

                </div>

                <div class="th-pagination text-center">
                    @if ($tours->lastPage() > 1)
                        <ul>
                            <li class="{{ ($tours->currentPage() == 1) ? ' disabled' : '' }}">
                                @if($tours->currentPage() == 1)
                                    <a style="cursor: not-allowed" disabled=""><span
                                                class="fa fa-long-arrow-left"></span></a>
                                @else
                                    <a href="{{ $tours->url(1) }}"><span
                                                class="fa fa-long-arrow-left"></span></a>
                                @endif
                            </li>
                            @for ($i = 1; $i <= $tours->lastPage(); $i++)
                                <li>
                                    <a class="{{ ($tours->currentPage() == $i) ? ' active' : '' }}"
                                       href="{{ $tours->url($i) }}">{{ $i }}</a>
                                </li>
                            @endfor
                            <li class="{{ ($tours->currentPage() == $tours->lastPage()) ? ' disabled' : '' }}">
                                @if($tours->currentPage() == $tours->lastPage())
                                    <a style="cursor: not-allowed" disabled=""><span
                                                class="fa fa-long-arrow-right"></span></a>
                                @else
                                    <a href="{{ $tours->url($tours->currentPage()+1) }}"><span
                                                class="fa fa-long-arrow-right"></span></a>
                                @endif
                            </li>
                        </ul>
                    @endif
                </div>

            </div>
        </div>
    </section>

@endsection