<?php

use Illuminate\Support\Facades\Route;


Route::get('/clear', function () {

    Artisan::call('cache:clear');
    Artisan::call('config:clear');
    Artisan::call('config:cache');
    Artisan::call('view:clear');
    Artisan::call('route:clear');

    return "Cleared!";

});
Route::get('/', [App\Http\Controllers\WebsiteController::class, 'home'])->name('/');
Route::get('home', [App\Http\Controllers\WebsiteController::class, 'home'])->name('home');
Route::get('about', [App\Http\Controllers\WebsiteController::class, 'about'])->name('about');
Route::get('contact', [App\Http\Controllers\WebsiteController::class, 'contact'])->name('contact');
Route::post('save_contact_message', [App\Http\Controllers\WebsiteController::class, 'save_contact_message'])->name('save_contact_message');
Route::get('privacy', [App\Http\Controllers\WebsiteController::class, 'privacy'])->name('privacy');
Route::get('terms', [App\Http\Controllers\WebsiteController::class, 'terms'])->name('terms');
Route::get('faq', [App\Http\Controllers\WebsiteController::class, 'faq'])->name('faq');
Route::get('blog', [App\Http\Controllers\WebsiteController::class, 'blog'])->name('blog');
Route::get('Blog+Detail/{slug}', [App\Http\Controllers\WebsiteController::class, 'blogdetails'])->name('blogdetails');
Route::get('hosts', [App\Http\Controllers\WebsiteController::class, 'hosts'])->name('hosts');
Route::get('hostslist', [App\Http\Controllers\WebsiteController::class, 'hostslist'])->name('hostslist');
Route::get('hostsdetail', [App\Http\Controllers\WebsiteController::class, 'hostsdetail'])->name('hostsdetail');
Route::get('Tour+List/{id}', [App\Http\Controllers\WebsiteController::class, 'tourslist'])->name('tourslist');
Route::get('Tour+Detail/{id}', [App\Http\Controllers\WebsiteController::class, 'tour_detail'])->name('tour_detail');
Route::get('subscriptions', [App\Http\Controllers\WebsiteController::class, 'subscriptions'])->name('subscriptions');
Route::get('Tours+Listings/{id}', [App\Http\Controllers\WebsiteController::class, 'listings'])->name('listings');


Route::get('Registration', [App\Http\Controllers\WebsiteController::class, 'register'])->name('register');
Route::post('save_register_user', [App\Http\Controllers\WebsiteController::class, 'save_register_user'])->name('save_register_user');
Route::get('verifyaccount/{id}', [App\Http\Controllers\WebsiteController::class, 'verifyaccount'])->name('verifyaccount');
Route::get('Forget', [App\Http\Controllers\WebsiteController::class, 'forget'])->name('forget');
Route::post('resetpassword', [App\Http\Controllers\WebsiteController::class, 'resetpassword'])->name('resetpassword');
Route::get('Reset+New+Password/{id}/', [App\Http\Controllers\WebsiteController::class, 'resetnewpassword'])->name('resetnewpassword');
Route::post('save+new+password', [App\Http\Controllers\WebsiteController::class, 'saveresetnewpassword'])->name('saveresetnewpassword');
Route::get('login', [App\Http\Controllers\WebsiteController::class, 'login'])->name('login');
Route::post('customerlogin', [App\Http\Controllers\WebsiteController::class, 'customerlogin'])->name('customerlogin');


Route::name('user.')->prefix('user')->group(function () {

    Route::get('/clear', function () {

        Artisan::call('cache:clear');
        Artisan::call('config:clear');
        Artisan::call('config:cache');
        Artisan::call('view:clear');
        Artisan::call('route:clear');

        return "Cleared!";

    });

    Route::middleware(['user-auth'])->group(function () {

        Route::get('/userlogout', [App\Http\Controllers\UserController::class, 'userlogout'])->name('userlogout');
        Route::get('Profile', [App\Http\Controllers\WebsiteController::class, 'profile'])->name('profile');
        Route::post('/updateuserprofile', [App\Http\Controllers\WebsiteController::class, 'updateuserprofile'])->name('updateuserprofile');
        Route::post('/purchase_subscription', [App\Http\Controllers\StripeController::class, 'purchase_subscription'])->name('purchase_subscription');
        Route::get('/successpayment', [App\Http\Controllers\StripeController::class, 'successpayment'])->name('successpayment');
        Route::get('/Subscription+History', [App\Http\Controllers\WebsiteController::class, 'subscription_history'])->name('subscription_history');
        Route::get('Chat', [App\Http\Controllers\WebsiteController::class, 'chat'])->name('chat');

    });

});


Route::name('host.')->prefix('host')->group(function () {

    Route::get('/clear', function () {

        Artisan::call('cache:clear');
        Artisan::call('config:clear');
        Artisan::call('config:cache');
        Artisan::call('view:clear');
        Artisan::call('route:clear');

        return "Cleared!";

    });

    Route::middleware(['host-auth'])->group(function () {

        Route::get('/', [App\Http\Controllers\HostController::class, 'dashboard'])->name('/');
        Route::get('/Dashboard', [App\Http\Controllers\HostController::class, 'dashboard'])->name('dashboard');
        Route::get('/hostlogout', [App\Http\Controllers\HostController::class, 'hostlogout'])->name('hostlogout');
        Route::get('Profile', [App\Http\Controllers\HostController::class, 'profile'])->name('hostprofile');
        Route::post('/update_host_overview', [App\Http\Controllers\HostController::class, 'update_host_overview'])->name('update_host_overview');
        Route::post('/save_host_images', [App\Http\Controllers\HostController::class, 'save_host_images'])->name('save_host_images');
        Route::post('/save_interests', [App\Http\Controllers\HostController::class, 'save_interests'])->name('save_interests');
        Route::post('/update_host_detail', [App\Http\Controllers\HostController::class, 'update_host_detail'])->name('update_host_detail');
        Route::get('/delete_host_images/{id}', [App\Http\Controllers\HostController::class, 'delete_host_images'])->name('delete_host_images');
        Route::get('Chat', [App\Http\Controllers\HostController::class, 'chat'])->name('chat');

        // Tours
        Route::get('Add+Tours', [App\Http\Controllers\HostController::class, 'add_tours'])->name('add_tours');
        Route::post('save_host_tour', [App\Http\Controllers\HostController::class, 'save_host_tour'])->name('save_host_tour');
        Route::get('Tours+List', [App\Http\Controllers\HostController::class, 'tourlist'])->name('tourlist');
        Route::get('Edit+Tours/{id}', [App\Http\Controllers\HostController::class, 'edittour'])->name('edittour');
        Route::post('update_host_tour', [App\Http\Controllers\HostController::class, 'update_host_tour'])->name('update_host_tour');
        Route::get('deletetour/{id}', [App\Http\Controllers\HostController::class, 'deletetour'])->name('deletetour');
        Route::get('Edit+Images/{id}', [App\Http\Controllers\HostController::class, 'edit_tour_images'])->name('edit_tour_images');
        Route::post('savetourimages', [App\Http\Controllers\HostController::class, 'savetourimages'])->name('savetourimages');
        Route::get('delete_tour_image/{id}', [App\Http\Controllers\HostController::class, 'delete_tour_image'])->name('delete_tour_image');

    });

});


Route::name('admin.')->prefix('admin')->group(function () {

    Route::get('/clear', function () {

        Artisan::call('cache:clear');
        Artisan::call('config:clear');
        Artisan::call('config:cache');
        Artisan::call('view:clear');
        Artisan::call('route:clear');

        return "Cleared!";

    });

    Route::match(['get', 'post'], '/login', [App\Http\Controllers\AdminController::class, 'adminLogin'])->name('login');

    Route::middleware(['admin-auth'])->group(function () {

        Route::get('/', [App\Http\Controllers\AdminController::class, 'dashboard'])->name('/');
        Route::get('/Dashboard', [App\Http\Controllers\AdminController::class, 'dashboard'])->name('dashboard');
        Route::get('/Logout', [App\Http\Controllers\AdminController::class, 'logout'])->name('logout');
        Route::get('/setting', [App\Http\Controllers\SettingController::class, 'setting'])->name('setting');
        Route::post('/updatesetting', [App\Http\Controllers\SettingController::class, 'updatesetting'])->name('updatesetting');
        Route::get('/AdminProfile', [App\Http\Controllers\AdminHomeController::class, 'AdminProfile'])->name('AdminProfile');
        Route::post('/updateprofile', [App\Http\Controllers\AdminHomeController::class, 'updateprofile'])->name('updateprofile');

        /**** Manage Language ****/
        Route::get('/setlocale/{id}', [App\Http\Controllers\SettingController::class, 'setlocale'])->name('setlocale');

        /**** Manage Contact Us ****/
        Route::get('/Contact+Messages', [App\Http\Controllers\AdminHomeController::class, 'contact_messages'])->name('contact_messages');
        Route::get('/delete_contact_message/{id}', [App\Http\Controllers\AdminHomeController::class, 'delete_contact_message'])->name('delete_contact_message');

        /**** Manage Instagram Images ****/
        Route::get('/Manage+Images', [App\Http\Controllers\AdminHomeController::class, 'instagram_images'])->name('instagram_images');
        Route::post('saveinstagramimages', [App\Http\Controllers\AdminHomeController::class, 'saveinstagramimages'])->name('saveinstagramimages');
        Route::get('/delete_instagram_image/{id}', [App\Http\Controllers\AdminHomeController::class, 'delete_instagram_image'])->name('delete_instagram_image');

        /**** Manage Subscriptions *****/
        Route::get('/subscriptions', [App\Http\Controllers\SubscriptionController::class, 'index'])->name('subscriptions');
        Route::get('/add+subs+record', [App\Http\Controllers\SubscriptionController::class, 'addsubscription'])->name('addsubscription');
        Route::post('/savesubscription', [App\Http\Controllers\SubscriptionController::class, 'savesubscription'])->name('savesubscription');
        Route::get('/deletesubscription/{id}', [App\Http\Controllers\SubscriptionController::class, 'deletesubscription'])->name('deletesubscription');
        Route::get('/editsubscription/{id}', [App\Http\Controllers\SubscriptionController::class, 'editsubscription'])->name('editsubscription');
        Route::post('/updatesubscription', [App\Http\Controllers\SubscriptionController::class, 'updatesubscription'])->name('updatesubscription');

        /**** Manage Blogs *****/
        Route::get('/blogcategories', [App\Http\Controllers\BlogsController::class, 'blogcategories'])->name('blogcategories');
        Route::post('/saveblogcategory', [App\Http\Controllers\BlogsController::class, 'saveblogcategory'])->name('saveblogcategory');
        Route::post('/updateblogcategory', [App\Http\Controllers\BlogsController::class, 'updateblogcategory'])->name('updateblogcategory');
        Route::get('/deleteblogcategory/{id}', [App\Http\Controllers\BlogsController::class, 'deleteblogcategory'])->name('deleteblogcategory');
        Route::get('/addblogs', [App\Http\Controllers\BlogsController::class, 'addblogs'])->name('addblogs');
        Route::post('/saveblogs', [App\Http\Controllers\BlogsController::class, 'saveblogs'])->name('saveblogs');
        Route::get('/blogslist', [App\Http\Controllers\BlogsController::class, 'blogslist'])->name('blogslist');
        Route::get('/deleteblog/{id}', [App\Http\Controllers\BlogsController::class, 'deleteblog'])->name('deleteblog');
        Route::get('/editblog/{id}', [App\Http\Controllers\BlogsController::class, 'editblog'])->name('editblog');
        Route::post('/updateblogs', [App\Http\Controllers\BlogsController::class, 'updateblogs'])->name('updateblogs');
        Route::get('/editimages/{id}', [App\Http\Controllers\BlogsController::class, 'editimages'])->name('editimages');
        Route::post('/savesblogimage', [App\Http\Controllers\BlogsController::class, 'savesblogimage'])->name('savesblogimage');
        Route::post('/updateblogimage', [App\Http\Controllers\BlogsController::class, 'updateblogimage'])->name('updateblogimage');
        Route::get('/deleteblogimage/{id}', [App\Http\Controllers\BlogsController::class, 'deleteblogimage'])->name('deleteblogimage');


        Route::get('/Users+List', [App\Http\Controllers\AdminHomeController::class, 'users_list'])->name('users_list');
        Route::get('/make_user_status_inactive/{id}', [App\Http\Controllers\AdminHomeController::class, 'make_user_status_inactive'])->name('make_user_status_inactive');
        Route::get('/make_user_email_status_inactive/{id}', [App\Http\Controllers\AdminHomeController::class, 'make_user_email_status_inactive'])->name('make_user_email_status_inactive');
        Route::get('/make_user_status_active/{id}', [App\Http\Controllers\AdminHomeController::class, 'make_user_status_active'])->name('make_user_status_active');
        Route::get('/make_user_email_status_active/{id}', [App\Http\Controllers\AdminHomeController::class, 'make_user_email_status_active'])->name('make_user_email_status_active');
        Route::get('/send_email_verification/{id}', [App\Http\Controllers\AdminHomeController::class, 'send_email_verification'])->name('send_email_verification');
        Route::get('/deleted_user/{id}', [App\Http\Controllers\AdminHomeController::class, 'deleted_user'])->name('deleted_user');


    });
});

